﻿<?php
require_once('../php/_init.php');
header('Content-Type: text/javascript; charset=utf-8');
?>
function json_clone(obj) {
	return JSON.parse( JSON.stringify( obj ) );
}

function conv_textarea_str(id){
	return conv_text($(id).val());
}

function conv_text(str){
	if(str == undefined)
		return "";
	
	return str
			.replace(/</g, "&lt;")
			.replace(/>/g, "&gt;")
			.replace(/\n/g, "<br>")
			;
}

function conv_json_text(id){
	return conv_json_str($(id).val());
}

//JSON として使用不可能な文字列を変換
function conv_json_str(str){
	return str
			.replace(/'/g, "&#039;")
			.replace(/"/g, "&quot;")
			.replace(/\\/g, "&yen;")
			.replace(/</g, "&lt;")
			.replace(/>/g, "&gt;")
			;
}

function conv_str(str){
	if(str == undefined)
		return "";
		
	return str
			.replace(/&#039;/g, "'")
			.replace(/&quot;/g, '"')
			.replace(/&yen;/g, "\\")
			.replace(/&lt;/g, "<")
			.replace(/&gt;/g, ">")
			;
}

// 10000 -> 10,000
function num2en(obj){
	var str = obj;
	var num = new String(str).replace(/,/g/"");
	while(num != (num = num.replace(/^(-?\d+)(\d{3})/,"$1,$2")));
	return num;
}

// 10,000 -> 100000
function en2num(str){
	return str.replace(/,/g, "");
}

function str2num(str){
	if (str.match(/[0-9]+$/)){
		return parseInt(str, 10);
	}
	return 0;
}

function conv_request_str(str){
	return conv_json_str(str);
}

function nowDate(){
	var d = new Date();
	return "" + d.getFullYear() + "/" + ("00" + (d.getMonth() + 1)).slice(-2) + "/" + ("00" + d.getDate()).slice(-2);
}

var add_date_default = 60;
function addDate(str_date){
	var add = add_date_default;
	var d = new Date(str_date); 
	d.setDate(d.getDate() + add);

	return "" + d.getFullYear() + "/" + ("00" + (d.getMonth() + 1)).slice(-2) + "/" + ("00" + d.getDate()).slice(-2);
}

var handleError = function(XMLHttpRequest, textStatus, errorThrown){
	//console.log("ajax error " + textStatus);
}

var handleComplete = function(XMLHttpRequest, textStatus) {
	//console.log("ajax complete " + textStatus);
}

function parseJSON(str){
	var str_err = "";
	try {
		var obj = JSON.parse(str);
	} catch (err) {
		str_err = " " + err;
	}
	return [obj, str_err];
}

function status_ok(ok_str, err, data1){
	var ok = 0;
	if(err == ""){
		if(data1.status == ok_str){
			ok = 1;
		}
	}
	return ok;
}

function getByte(txt)
{
	var count = 0;
	for (i = 0; i < txt.length; i++)
	{
		n = escape(txt.charAt(i));
		if (n.length < 4) count++; else count+=2;
	}
	return count;
}

function toHankakuNum(txt)
{
	var han = "0123456789.,";
	var zen = "０１２３４５６７８９．，";
	var str = "";
	
	for (i = 0; i < txt.length; i++){
		c = txt.charAt(i);
		n = zen.indexOf(c, 0);
		if (n >= 0) c = han.charAt(n);
		str += c;
	}
	return str;
}

function zeiritu_per(m_date, created){
	//見積り日を見て税率計算（消費税変化時）
	//見積り日未入力の場合は現在時間
	
	var d = (m_date != "") ? m_date : "";
	d = (d == "") ? created : d;
	d = (d == "") ? nowDate() : d;
	
	var ritu = 0;
	<?php
	foreach($arr_shouhizei as $k => $v) {
		echo 'if( d >= "' . $k . '"){ ritu = ' . $v . '; }' . PHP_EOL . '	';
	}
	?>
	
	//console.log(d);

	return ritu;
}

function zeiritu(ritu){
	return (ritu / 100) + 1;
}

//console.log("js funcs load");
