<?php
require_once('_init.php');
require_once('../lib/json/JSON.php');

//usleep(0.2 * 1000000);

//ログインしていない場合、ng
if($current_uid == 0){
	exit();
}

$mode = (isset($_REQUEST['mode'])) ? conv_req($_REQUEST['mode']) : "";

if($mode == ""){
	header('Content-Type: text/html; charset=utf-8');
	echo get_list();
}else{
	header('Content-Type: text/tab-separated-values;');
	header("Content-Disposition: attachment; filename=list.tsv");
	get_list();
}


function get_list() {
	global $time_start,$current_uid,$current_perm;
	
	$json = new Services_JSON();

	$q  = (isset($_REQUEST['q']))  ? conv_req($_REQUEST['q'])  : "";
	$q1 = (isset($_REQUEST['q1'])) ? conv_req($_REQUEST['q1']) : "";
	$q2 = (isset($_REQUEST['q2'])) ? conv_req($_REQUEST['q2']) : "";
	$q3 = (isset($_REQUEST['q3'])) ? conv_req($_REQUEST['q3']) : "";
	$q4 = (isset($_REQUEST['q4'])) ? conv_req($_REQUEST['q4']) : "";
	
	$id = (isset($_REQUEST['id'])) ? conv_req($_REQUEST['id']) : "";
	$cc1 = (isset($_REQUEST['cc1'])) ? conv_req($_REQUEST['cc1']) : "";

	$m_date1 = (isset($_REQUEST['m_date1'])) ? conv_req($_REQUEST['m_date1']) : "";
	$m_date2 = (isset($_REQUEST['m_date2'])) ? conv_req($_REQUEST['m_date2']) : "";
	$s_date1 = (isset($_REQUEST['s_date1'])) ? conv_req($_REQUEST['s_date1']) : "";
	$s_date2 = (isset($_REQUEST['s_date2'])) ? conv_req($_REQUEST['s_date2']) : "";
	$n_date1 = (isset($_REQUEST['n_date1'])) ? conv_req($_REQUEST['n_date1']) : "";
	$n_date2 = (isset($_REQUEST['n_date2'])) ? conv_req($_REQUEST['n_date2']) : "";

	$sc1 = (isset($_REQUEST['sc1'])) ? conv_req($_REQUEST['sc1']) : "";
	$nc1 = (isset($_REQUEST['nc1'])) ? conv_req($_REQUEST['nc1']) : "";
	$order = (isset($_REQUEST['order'])) ? conv_req($_REQUEST['order']) : "";
	$mode = (isset($_REQUEST['mode'])) ? conv_req($_REQUEST['mode']) : "";
	
	$dr1 = (isset($_REQUEST['dr1'])) ? conv_req($_REQUEST['dr1']) : "";
	$addsql = " and deleted is null";
	if($dr1 == 1){
		$addsql = " and deleted is not null";
	}
	if($q != ""){  $addsql .= " and d.txt like '%" . $q . "%'"; }
	if($q1 != ""){  $addsql .= " and d.subject like '%" . $q1 . "%'"; }
	if($q2 != ""){  $addsql .= " and d.company like '%" . $q2 . "%'"; }
	if($q3 != ""){  $addsql .= " and d.sougoukei >= '" . $q3 . "'"; }
	if($q4 != ""){  $addsql .= " and d.sougoukei <= '" . $q4 . "'"; }
	
	if($id != ""){ $addsql .= " and d.id = " . $id; }
	if($cc1 != ""){  $addsql .= " and d.create_uid in(" . $cc1 . ")"; }
	if($current_perm == 1){  $addsql .= " and d.create_uid = '" . $current_uid . "'"; }//自分のみ
	
	if($m_date1 != ""){ $addsql .= " and d.m_date >= '" . $m_date1 . "'"; }
	if($m_date2 != ""){ $addsql .= " and d.m_date <= '" . $m_date2 . "'"; }
	if($s_date1 != ""){ $addsql .= " and d.s_date >= '" . $s_date1 . "'"; }
	if($s_date2 != ""){ $addsql .= " and d.s_date <= '" . $s_date2 . "'"; }
	if($n_date1 != ""){ $addsql .= " and d.n_date >= '" . $n_date1 . "'"; }
	if($n_date2 != ""){ $addsql .= " and d.n_date <= '" . $n_date2 . "'"; }
	
	if($sc1 != ""){ $addsql .= " and d.s_date <> '0000-00-00'"; }
	if($nc1 != ""){ $addsql .= " and d.n_date <> '0000-00-00'"; }
	
	$page  = !empty($_REQUEST['page']) ? (int)($_REQUEST['page']) : 0;
	$page_view = (isset($_REQUEST['page_view'])) ? conv_req($_REQUEST['page_view']) : "10";
	$limit = "limit $page_view offset 0";
	if($page!=0){
		$limit = "limit $page_view offset ".( $page_view * $page );
	}
	
	if($mode == "tsv" || $mode == "tsv_os"){
		$limit = "";
	}
	
	$con = con();
	$sql = "SELECT count(*) as cnt FROM `doc` as d WHERE 1 " . $addsql;

	$count = 0;
	$ret = exe_sql($con, $sql);
	if( $arr = db_fetch_array($ret) ){
		$count = $arr["cnt"];
	}
	
	$sql = "SELECT d.* FROM `doc` as d";
	$str_order = "order by ";
	switch($order){
		case "0": $str_order .= "d.subject     ,"; break;
		case "1": $str_order .= "d.subject desc,"; break;
		case "2": $sql .= " left join company on d.company_id =  company.company_id "; $str_order .= "yomi     ,"; break;
		case "3": $sql .= " left join company on d.company_id =  company.company_id "; $str_order .= "yomi desc,"; break;
		case "4": $str_order  .= "d.sougoukei     ,"; break;
		case "5": $str_order  .= "d.sougoukei desc,"; break;
		case "6": $str_order  .= "d.m_date     , d.created desc"; break;
		case "7": $str_order  .= "d.m_date desc, d.created desc"; break;
		case "8": $str_order  .= "d.s_date     ,"; break;
		case "9": $str_order  .= "d.s_date desc,"; break;
		case "10": $str_order .= "d.n_date     ,"; break;
		case "11": $str_order .= "d.n_date desc,"; break;
		case "12": $sql .= " left join users as u on d.create_uid = u.uid "; $str_order .= "u.yomi     ,"; break;
		case "13": $sql .= " left join users as u on d.create_uid = u.uid "; $str_order .= "u.yomi desc,"; break;
	}
	
	if(!($order == "6" || $order == "7")){
		$str_order .= "d.m_date desc, d.created desc";
	}
	
	$sql .= " WHERE 1 " . $addsql . " $str_order $limit";
	
	if($mode == "tsv"){
		$ret = exe_sql($con, $sql);
		
		echo mb_convert_encoding('"ID"	"No."	"見積日"	"請求日"	"納品日"	"有効期限"	"社名ID"	"社名"	"コード"	"社印"	"担当"	"件名"	"税込合計金額"	"合計"	"消費税"	"合計非表示"	"課税"	"見積備考"	"請求備考"	"納品備考"	"作成日"	"更新日"	"作成者ID"	"更新者ID"	"fs"	"fs"	"fs"	"fs"	"fs"	"fs"	"メモ"	"内容"	"詳細"	"数"	"単位"	"単価"	"課税"	"備考"	"内容"	"詳細"	"数"	"単位"	"単価"	"課税"	"備考"	"内容"	"詳細"	"数"	"単位"	"単価"	"課税"	"備考"	"内容"	"詳細"	"数"	"単位"	"単価"	"課税"	"備考"	"内容"	"詳細"	"数"	"単位"	"単価"	"課税"	"備考"	"内容"	"詳細"	"数"	"単位"	"単価"	"課税"	"備考"	"内容"	"詳細"	"数"	"単位"	"単価"	"課税"	"備考"	"内容"	"詳細"	"数"	"単位"	"単価"	"課税"	"備考"	"内容"	"詳細"	"数"	"単位"	"単価"	"課税"	"備考"	"内容"	"詳細"	"数"	"単位"	"単価"	"課税"	"備考"	"内容"	"詳細"	"数"	"単位"	"単価"	"課税"	"備考"	"内容"	"詳細"	"数"	"単位"	"単価"	"課税"	"備考"	"内容"	"詳細"	"数"	"単位"	"単価"	"課税"	"備考"	"内容"	"詳細"	"数"	"単位"	"単価"	"課税"	"備考"' . PHP_EOL, "SJIS-win", "UTF-8");

		while( $arr = db_fetch_array($ret) )
		{
			//$buf = str_replace("\n", "\\n", $arr["txt"]);
			$buf = $arr["txt"];
			$buf = str_replace("{", "", $buf);
			$buf = str_replace("}", "", $buf);
			$buf = str_replace("[", "", $buf);
			$buf = str_replace("]", "", $buf);
			$buf = replace_json_txt($buf);
			
			$pattern = '/\"\w+\":/i';
			$replacement = '';
			$buf = preg_replace($pattern, $replacement, $buf);

			$buf = str_replace("\",", "\"\t", $buf);
			echo mb_convert_encoding($buf . PHP_EOL, "SJIS-win", "UTF-8");
		}
	}else if($mode == "tsv_s"){
		$head = '"社名"';
		for ($i = 1; $i <= 12; $i++) {
			$head .= '	"' . $i . '月"';
		}
		echo mb_convert_encoding($head . PHP_EOL, "SJIS-win", "UTF-8");
		if($s_date1 == ""){
			exit();
		}
		$y = substr($s_date1, 0, 4);
		//echo " s_date1_y " . $y . " ";
		
		//$result[][] = "";
		
		for ($i = 1; $i <= 12; $i++) {
			$j = $i +1;
			$sql = 'SELECT d.company_id, c.name, SUM(d.sougoukei) as sum FROM doc as d 
				left join company as c on d.company_id =  c.company_id where d.s_date >= '."'$y/$i/1'".' and d.s_date < '."'$y/$j/1'".'
				GROUP BY d.company_id order by c.yomi';
			$ret = exe_sql($con, $sql);
			while( $arr = db_fetch_array($ret))
			{
				$cid = $arr["company_id"];
				$compant_list[$cid] = $arr["name"];
				$result[$cid][$i] =  $arr["sum"];
				//echo $arr["name"];
				//echo $arr["sum"];
			}
		}
		
		if(!empty($compant_list)){
	 		foreach($compant_list as $k => $v) {
		 		$buf = $v;
	 			for ($i = 1; $i <= 12; $i++) {
		 			$buf .= "	" . (!empty($result[$k][$i]) ? $result[$k][$i] : "");
		 			
		 			//$buf .= "	" . $result[$k][$i];
		 			//echo  $result[$k][$i];
	 			}
	 			echo mb_convert_encoding($buf . PHP_EOL, "SJIS-win", "UTF-8");
	 		}
 		}else{
			echo mb_convert_encoding('データがありません' . PHP_EOL, "SJIS-win", "UTF-8");
 		}
 		//print_r($result);
 	}else if($mode == "tsv_os"){
 		$ret = exe_sql($con, $sql);
		
		echo mb_convert_encoding('"件名"	"外注先"	"内容"	"ギャラ"	"経費"	"消費税"	"合計支払額"	"請求日"	"支払日"	"粗利益率(%)"	"請求書"	"備考"' . PHP_EOL, "SJIS-win", "UTF-8");


		$total_cnt = 0;
		
		$total_guara_goukei = 0;
		$total_keihi_goukei = 0;
		$total_zei_goukei = 0;
		$total_goukei_soukei = 0;
		$total_uriage = 0;
		$total_ararieki = 0;
		$total_ararieki_r = 0;
		
		while( $arr = db_fetch_array($ret) )
		{
			$doc_data = replace_json_txt($arr["txt"]);
			$doc_data = str_replace("\n", "\\n", $doc_data);
			
			$decoded = $json->decode($doc_data);
			
			if(!empty($decoded->outsource)){
				$buf = "";
				$buf .= '"' . $decoded->subject . '"	';
				
				$m_date = $decoded->m_date;
				$created = $decoded->created;
				$ritu = zeiritu_per($m_date, $created);
				
				$guara_goukei = 0;
				$keihi_goukei = 0;
				$zei_goukei = 0;
				$goukei_soukei = 0;
				
				$cnt = 0;
				for ($i = 0; $i <= 18; $i++) {
					if(!isset($decoded->outsource[$i])){
						continue;
					}
					
					$os_obj = $decoded->outsource[$i];
					if(!isset($os_obj->os_name)){
						continue;
					}
					$name  = $os_obj->os_name;
					$item  = $os_obj->os_item;
					$bikou = $os_obj->os_bikou;
					$os_seikyu_date = $os_obj->os_seikyu_date;
					$os_shiharai_date = $os_obj->os_shiharai_date;
					
					$os_seikyu_tyaku = "";
					if(isset($os_obj->os_seikyu_tyaku)){
						$os_seikyu_tyaku = $os_obj->os_seikyu_tyaku;
					}
					
					$bikou = $os_obj->os_bikou;
					
					$guara = $os_obj->os_guara;
					$keihi = $os_obj->os_keihi;
					$kazei = $os_obj->os_kazei;

					$guara_n = (preg_match("/[\.0-9]+/", $guara)) ? $guara : 0;
					$keihi_n = (preg_match("/[\.0-9]+/", $keihi)) ? $keihi : 0;
					$zei = 0;
					
					if($name == "" && $item == "" && $guara == "" && $keihi == "" && $bikou == ""){
						continue;
					}
					$cnt++;
					
					$goukei = $guara_n + $keihi_n;
					
					
					if($kazei == "1"){
						if($guara != ""){
							$zei = floor($guara_n * $ritu);
							$goukei += $zei;
						}
					}

					$guara_goukei += $guara_n;
					$keihi_goukei += $keihi_n;
					$zei_goukei += $zei;
					$goukei_soukei += $goukei;
					
					if($i > 0){
						$buf = '""	';
					}
					$buf .= '"' . $name . '"	';
					$buf .= '"' . $item . '"	';
					$buf .= '"' . $guara . '"	';
					$buf .= '"' . $keihi . '"	';
					$buf .= '"' . $zei . '"	';
					$buf .= '"' . $goukei . '"	';
					$buf .= '"' . $os_seikyu_date . '"	';
					$buf .= '"' . $os_shiharai_date . '"	';
					
					$buf .= '""	';
					$buf .= '"' . (($os_seikyu_tyaku == "1") ? "着":"未") . '"	';
					
					$buf .= '"' . $bikou . '"';
					
					echo mb_convert_encoding($buf . PHP_EOL, "SJIS-win", "UTF-8");
				}
			
				if($cnt > 0){
					$buf = '""	';
					$buf .= '""	';
					$buf .= '""	';
					$buf .= '""	';
					$buf .= '""	';
					$buf .= '""	';
					$buf .= '""	';
					$buf .= '"売上高(税抜)"	';
					$buf .= '"粗利益"	';
					$buf .= '""';
					
					echo mb_convert_encoding($buf . PHP_EOL, "SJIS-win", "UTF-8");
					
					$uriage = en2num($decoded->goukei);
					$ararieki = $uriage - $goukei_soukei;
					$outsource_bikou = $decoded->outsource_bikou;
					
					$ararieki_r ="";
					if($uriage !=0){
						$ararieki_r = round($ararieki / $uriage * 100);
					}
					
					$buf = '""	';
					$buf .= '"総計"	';
					$buf .= '""	';
					$buf .= '"' . $guara_goukei . '"	';
					$buf .= '"' . $keihi_goukei . '"	';
					$buf .= '"' . $zei_goukei . '"	';
					$buf .= '"' . $goukei_soukei . '"	';
					$buf .= '"' . $uriage . '"	';
					$buf .= '"' . $ararieki . '"	';
					
					$buf .= '"' . $ararieki_r . '"	';
					$buf .= '""	';
					
					$buf .= '"' . $outsource_bikou . '"';
					
					echo mb_convert_encoding($buf . PHP_EOL . PHP_EOL, "SJIS-win", "UTF-8");
								
					$total_guara_goukei  += $guara_goukei;
					$total_keihi_goukei  += $keihi_goukei;
					$total_zei_goukei    += $zei_goukei;
					$total_goukei_soukei += $goukei_soukei;
					$total_uriage        += $uriage;
					$total_ararieki      += $ararieki;
					$total_ararieki_r    += $ararieki_r;
				}
			}
			$total_cnt++;
		}
		
		if($total_cnt > 0){
			$buf = '"' . $total_cnt . '件 "	';
			$buf .= '"総合計"	';
			$buf .= '""	';
			$buf .= '"' . $total_guara_goukei . '"	';
			$buf .= '"' . $total_keihi_goukei . '"	';
			$buf .= '"' . $total_zei_goukei . '"	';
			$buf .= '"' . $total_goukei_soukei . '"	';
			$buf .= '"' . $total_uriage . '"	';
			$buf .= '"' . $total_ararieki . '"	';
			$buf .= '"' . round($total_ararieki_r / $total_cnt) . '"	';
			$buf .= '""	';
			$buf .= '""';
			
			echo mb_convert_encoding($buf . PHP_EOL, "SJIS-win", "UTF-8");
		}
		
	}else{
		$ret = exe_sql($con, $sql);
		$cnt = 0;
		$null_cnt = 0;
		
		$buf = '[';
		while( $arr = db_fetch_array($ret) )
		{
			$buf .= ($cnt > 0) ? "," : "";
			$buf .= str_replace("\n", "\\n", $arr["txt"]);
			$cnt++;
		}
		
		$buf .= ']
			}';

		$time_end = getmicrotime();
		$time = round($time_end - $time_start, 4);

		$buf = '{
			"status":"ok",
			"getdate":"' . date("Y/m/d H:i:s") . '",
			"gettime":"' . $time . '",
			"count":"' . $count . '",
			"sql":"' . $sql . '",
			"page":"' . $page . '",
			"page_view":"' . $page_view . '",
			"null":"' . $null_cnt . '",
			"order":"' . $order . '",
			"result":' . $buf;
		//		"keyword":"' . $q . '",

		return replace_tab_ret($buf);
	}
}

