<?php
require_once('_init.php');
require_once('../lib/json/JSON.php');

header('Content-Type: text/html; charset=utf-8');

//ログインしていない場合、ng
if($current_uid == 0){
	echo '{"status":"ng"}';
	exit();
}

//No.既存のものがあるか
if (isset($_REQUEST['no_use_ok'])) {
	echo no_use_ok();
	exit();
}

//会社情報変更
if (isset($_REQUEST['company_name'])) {
	echo company_set();
	exit();
}

//active_company変更
if (isset($_REQUEST['active_company'])) {
	echo active_company_set();
	exit();
}

//パスワード変更
if (isset($_REQUEST['pass_set_uid'])) {
	echo pass_set();
	exit();
}

//ユーザー管理
if($current_perm == 4){

	if (isset($_REQUEST['delete_company_id_ok'])) {
		echo delete_company_ok();
	}else if (isset($_REQUEST['delete_company_id'])) {
		echo delete_company();
	}else if (isset($_REQUEST['pass_reset_uid'])) {
		echo pass_reset();
	}else if (isset($_REQUEST['delete_uid_ok'])) {
		echo delete_user_ok();
	}else if (isset($_REQUEST['delete_uid'])) {
		echo delete_user();
	}else{
		echo edit_user();
	}
}else{
	echo '{"status":"nothing"}';
}

function no_use_ok(){
	$no = (isset($_REQUEST['no_use_ok'])) ? conv_req($_REQUEST['no_use_ok']) : "";
	$id = (isset($_REQUEST['id'])) ? conv_req($_REQUEST['id']) : "";

	if($no == ""){
		return '{"status":"no_data"}';
	}
	
	$add_sql = "";
	if(!($id == "" || $id == 0)){
		$add_sql = " and id <> '" . $id . "'";
	}
	$con = con();
	$sql = "select COUNT(*) as cnt FROM `doc` WHERE no = '" . $no . "'" . $add_sql;
	$ret = exe_sql($con, $sql);
	$cnt = 0;
	
	if( $arr = db_fetch_array($ret) )
	{
		$cnt =  $arr["cnt"];
	}
	
	$buf = '{
		"status":"ok",
		"no":"' . $no . '",
		"cnt":"' . $cnt . '",
		"ret":"' . $ret . '",
		"date":"' . date("Y/m/d H:i:s") . '"}';

	return replace_tab_ret($buf);
}

//削除可能か？
function delete_company_ok() {
	$company_id = "";
	if (isset($_REQUEST['delete_company_id_ok'])) { 
		$company_id = conv_req($_REQUEST['delete_company_id_ok']);
	}
	
	if($company_id == ""){
		return '{"status":"no_data"}';
	}

	$con = con();
	$sql = "select COUNT(*) as cnt FROM `doc` WHERE company_id = '" . $company_id . "'";
	$ret = exe_sql($con, $sql);
	$cnt = 0;
	
	if( $arr = db_fetch_array($ret) )
	{
		$cnt =  $arr["cnt"];
	}
	
	$buf = '{
		"status":"ok",
		"company_id":"' . $company_id . '",
		"cnt":"' . $cnt . '",
		"ret":"' . $ret . '",
		"date":"' . date("Y/m/d H:i:s") . '"}';

	return replace_tab_ret($buf);
}

function delete_company() {
	$company_id = "";
	if (isset($_REQUEST['delete_company_id'])) { 
		$company_id = conv_req($_REQUEST['delete_company_id']);
	}
	
	if($company_id == ""){
		return '{"status":"no_data"}';
	}

	$con = con();
	$sql = "delete from `company` WHERE company_id = '" . $company_id . "'";
	$ret = exe_sql($con, $sql);
	
	$buf = '{
		"status":"delete_ok",
		"company_id":"' . $company_id . '",
		"ret":"' . $ret . '",
		"date":"' . date("Y/m/d H:i:s") . '"}';
		
	return replace_tab_ret($buf);
}

//会社情報変更
function company_set() {
	$company_id = (isset($_REQUEST['company_id'])) ? conv_req($_REQUEST['company_id']) : "";
	$name = (isset($_REQUEST['company_name'])) ? conv_req_json($_REQUEST['company_name']) : "";
	$yomi = (isset($_REQUEST['company_yomi'])) ? conv_req_json($_REQUEST['company_yomi']) : "";
	$sp = (isset($_REQUEST['company_sp'])) ? conv_req_json($_REQUEST['company_sp']) : "";
	$os_flag = (isset($_REQUEST['company_os_flag'])) ? conv_req_json($_REQUEST['company_os_flag']) : "";
	
	if($name == ""){
		return '{"status":"no_data"}';
	}
	
	if(strlen($name) > 800){ return '{"status":"str over"}'; }
	if(strlen($yomi) > 800){ return '{"status":"str over"}'; }
	if(strlen($sp) > 800){ return '{"status":"str over"}'; }
	
	$con = con();
	
	if($company_id == ""){
		$sql = "insert into `company` set name = '' , updated = NOW()";
		$ret = exe_sql($con, $sql);
		$company_id = mysql_insert_id();
	}
	
	$sql = "update `company` set name = '"     .$name.
							 "', yomi = '"     .$yomi.
							 "', sp = '"       .$sp. 
							 "', os_flag = '"  .$os_flag.
							 "', updated = NOW() WHERE company_id = '" . $company_id . "'";
							 
	$ret = exe_sql($con, $sql);
	
	$buf = '{
		"status":"set_ok",
		"company_id":"' . $company_id . '",
		"ret":"' . $ret . '",
		"name":"' . $name . '",
		"yomi":"' . $yomi . '",
		"sp":"' . $sp . '",
		"os_flag":"' . $os_flag . '",
		"date":"' . date("Y/m/d H:i:s") . '"}';

	return replace_tab_ret($buf);
}

//active_companyセット
function active_company_set() {
	$uid = (isset($_REQUEST['uid'])) ? conv_req($_REQUEST['uid']) : "";
	$active_company = (isset($_REQUEST['active_company'])) ? conv_req_json($_REQUEST['active_company']) : "";
	
	if($uid == "" || $active_company == ""){
		return '{"status":"no_data"}';
	}
	
	$json = new Services_JSON();
	$decoded = $json->decode($active_company);
	if(is_null($decoded)){
		return '{"status":"json_null"}';
	}
	$active_company = str_replace("{", "", $active_company);
	$active_company = str_replace("}", "", $active_company);
	
	$con = con();
	$sql = "update `users` set active_company = '" . $active_company . "', updated = NOW() WHERE uid = '" . $uid . "'";
	$ret = exe_sql($con, $sql);
	
	$buf = '{
		"status":"set_ok",
		"uid":"' . $uid . '",
		"ret":"' . $ret . '",
		"date":"' . date("Y/m/d H:i:s") . '"}';

	return replace_tab_ret($buf);
}

//パスワードセット
function pass_set() {
	global $APP_SAMPLE;
	
	$uid = (isset($_REQUEST['pass_set_uid'])) ? conv_req($_REQUEST['pass_set_uid']) : "";
	$pass = (isset($_REQUEST['pass'])) ? conv_req($_REQUEST['pass']) : "";
	
	if($uid == "" || $pass == ""){
		return '{"status":"no_data"}';
	}
	
	if($APP_SAMPLE ==1 && $uid == 1){ return '{"status":"no_data"}'; }
	
	if(strlen($pass) > 800){ return '{"status":"str over"}'; }

	$sha1_pass = sha1($pass);
	
	$con = con();
	$sql = "update `users` set pass = '" . $sha1_pass . "', updated = NOW() WHERE uid = '" . $uid . "'";
	$ret = exe_sql($con, $sql);
	
	$buf = '{
		"status":"set_ok",
		"uid":"' . $uid . '",
		"ret":"' . $ret . '",
		"date":"' . date("Y/m/d H:i:s") . '"}';

	return replace_tab_ret($buf);
}

//パスワードリセット
function pass_reset() {
	$uid = "";
	if (isset($_REQUEST['pass_reset_uid'])) { 
		$uid = conv_req($_REQUEST['pass_reset_uid']);
	}
	
	if($uid == ""){
		return '{"status":"no_data"}';
	}
	if($uid == 1){ return '{"status":"no_data"}'; }
	
	$con = con();
	$sql = "update `users` set pass = '', updated = NOW() WHERE uid = '" . $uid . "'";
	$ret = exe_sql($con, $sql);
	
	$buf = '{
		"status":"reset_ok",
		"uid":"' . $uid . '",
		"ret":"' . $ret . '",
		"date":"' . date("Y/m/d H:i:s") . '"}';

	return replace_tab_ret($buf);
}

//削除可能か？
function delete_user_ok() {
	$uid = "";
	if (isset($_REQUEST['delete_uid_ok'])) { 
		$uid = conv_req($_REQUEST['delete_uid_ok']);
	}
	
	if($uid == ""){
		return '{"status":"no_data"}';
	}
	if($uid == 1){ return '{"status":"no_data"}'; }

	$con = con();
	$sql = "select COUNT(*) as cnt FROM `doc` WHERE create_uid = '" . $uid . "'";
	$ret = exe_sql($con, $sql);
	$cnt = 0;
	
	if( $arr = db_fetch_array($ret) )
	{
		$cnt =  $arr["cnt"];
	}
	
	$buf = '{
		"status":"ok",
		"uid":"' . $uid . '",
		"cnt":"' . $cnt . '",
		"ret":"' . $ret . '",
		"date":"' . date("Y/m/d H:i:s") . '"}';

	return replace_tab_ret($buf);
}

function delete_user() {
	$uid = "";
	if (isset($_REQUEST['delete_uid'])) { 
		$uid = conv_req($_REQUEST['delete_uid']);
	}
	
	if($uid == ""){
		return '{"status":"no_data"}';
	}
	if($uid == 1){ return '{"status":"no_data"}'; }

	$con = con();
	$sql = "delete from `users` WHERE uid = '" . $uid . "'";
	$ret = exe_sql($con, $sql);
	
	$buf = '{
		"status":"delete_ok",
		"uid":"' . $uid . '",
		"ret":"' . $ret . '",
		"date":"' . date("Y/m/d H:i:s") . '"}';
		
	return replace_tab_ret($buf);
}

function edit_user() {
	global $APP_SAMPLE;

	$user_data = "";
	if (isset($_REQUEST['user_data'])) { 
		$user_data = conv_req_json($_REQUEST['user_data']);
	}else{
		return '{"status":"no_data"}';
	}
	
	if(strlen($user_data) > 3000){ return '{"status":"str over"}'; }

	$json = new Services_JSON();
	$decoded = $json->decode($user_data);
	if(is_null($decoded)){
		return '{"status":"json_null"}';
	}
	$uid = $decoded->uid;
	$perm = $decoded->perm;
	$yomi = $decoded->yomi;
	if($APP_SAMPLE ==1 && $uid == 1){ return '{"status":"no_data"}'; }

	$con = con();
	
	if($uid == "0"){
		$sql = "insert into `users` set txt = '' , updated = NOW()";
		$ret = exe_sql($con, $sql);
		$uid = mysql_insert_id();
		
		$user_data = str_replace('"uid":"0"', '"uid":"' . $uid . '"', $user_data);
	}
	
	$sql = "update `users` set txt = '" . $user_data . "',"
		. " perm = '" . $perm . "',"
		. " yomi = '" . $yomi . "', updated = NOW() WHERE uid = '" . $uid . "'";
		
	$ret = exe_sql($con, $sql);
	
	$buf = '{
		"status":"edit_ok",
		"uid":"' . $uid . '",
		"ret":"' . $ret . '",
		"date":"' . date("Y/m/d H:i:s") . '"}';
	
	return replace_tab_ret($buf);
}

