<?php
require_once('./php/_setting.php');

header('Content-Type: text/css; charset=utf-8');
?>
body {
  font-family: AquaKana, "メイリオ", Meiryo, Sans-serif;
  font-size: 70.01%;
}

html>/* */body {
  font-family: Meiryo, "Trebuchet MS", "Lucida Grande", "Hiragino Kaku Gothic Pro", "ヒラギノ角ゴ Pro W3", Sans-Serif;
  font-size: 11px;
}

body,ul,ol,li,dl,dt,dd,h1,h2,h3,h4,h5,h6,p,img,table,th,td,form {
	margin: 0px;
	padding: 0px;
	border: 0;
	word-break:break-all;
}

input,textarea {
	margin: 0px;
	padding: 0px;
	font-family: AquaKana, "メイリオ", Meiryo, Sans-serif;
	font-size: 11px;
}

#div_wall{ position:absolute; display:none; z-index: 15;}
#div_wall2{ position:absolute; display:none; z-index: 25; background: #000; opacity:0.5;}

.swap1{ position:relative;left:130px; z-index: 15;}


.waku_doc{ width:649px; position:absolute; display:none; padding-bottom:50px;z-index:0;}
.waku_list{  width:920px; position:absolute; z-index:0;}
.waku_login{
	border-radius:10px;
	-moz-border-radius:10px;
	-webkit-border-radius:10x;
	padding: 8px;
	color:#000;
	font-size:11px;
	margin-top: 100px;
	margin-bottom: 10px;
	margin-left: auto;
	margin-right: auto;
	height:240px;
	background: #eee;
	width:320px;
	border:solid 1px #666;
}
/* background-color: #eff; */

.waku_outsource{ 

	border-radius:10px;
	-moz-border-radius:10px;
	-webkit-border-radius:10x;
	border:solid 10px #999; 
	
	padding: 8px;
	color:#000;
	font-size:12px;

	width:1024px;

	background: #fff;
	position:absolute;
	display:none;
	z-index:30;
	opacity:1;
	
	top:6px
}

#input_tani{
	color:#000;
	font-size:12px;
	background: #fff;
	position:absolute;
	display:none;
	z-index:20;
	border:solid 1px #aaa;
}
	
#input_tani div { padding: 4px 2px;}
#input_tani div:hover { background-color:#aaa; color:#000; cursor: pointer}
#input_tani div.select { background-color:#aaa; color:#000; cursor: pointer}

#input_tanto{
	color:#000;
	font-size:12px;
	background: #fff;
	position:absolute;
	display:none;
	z-index:20;
	border:solid 1px #aaa;
}
	
#input_tanto div { padding: 4px 2px;}
#input_tanto div:hover { background-color:#aaa; color:#000; cursor: pointer}
#input_tanto div.select { background-color:#aaa; color:#000; cursor: pointer}


#div_input_company{
	border-radius:10px;
	-moz-border-radius:10px;
	-webkit-border-radius:10x;
	padding: 8px;
	color:#000;
	font-size:12px;

	width:910px;

	background: #eee;
	position:absolute;
	display:none;
	z-index:20;
	opacity:0.97;
}
.company_name{
	border-radius:6px;
	-moz-border-radius:6px;
	-webkit-border-radius:6x;
	
	padding: 2px;
	width:280px;
	margin-bottom:1px;
}

.company_list_one{
	padding: 2px;
	width:290px;
	margin-right:6px;
	float:left;
}

.company_name:hover { background-color:#cc5; color:#66a; cursor: pointer}

.company_name_select{
	background: #cc5;
}

.company_menu_tab{
	border-radius:10px;
	-moz-border-radius:10px;
	-webkit-border-radius:10x;
	background: #aaa;
	
	text-align:center;
	margin-right:10px;
	color:#fff;
	
	padding: 2px;
	width:80px;
	float:left;
	-moz-transition: all 0.2s ease-out;
	-webkit-transition: all 0.2s ease-out;
}

#company_menu_tab_info{
	padding: 2px;
	width:500px;
	float:left;
}

.company_menu_tab_r{
	padding: 2px;
	width:300px;
	float:right;
}

.company_menu_tab_select{
	background: #bc9853;
}
.company_menu_tab:hover { background-color:#bc9853; color:#fff; cursor: pointer}

#div_company_edit{
	border-radius:10px;
	-moz-border-radius:10px;
	-webkit-border-radius:10x;
	padding: 8px;
	color:#000;
	font-size:12px;
	width:320px;
	background: #ddd;
	display:none;
	position:absolute;
	z-index:30;
}

#message_no{
	border-radius:6px;
	-moz-border-radius:6px;
	-webkit-border-radius:6x;
	background: #ee9;
	
	text-align:center;
	color:#000;
	font-size:12px;
	padding: 2px;
	width:200px;
	position:absolute;
	z-index:100;
	top:4px;
	display:none;
}

#message_tsvi_s{
	border-radius:6px;
	-moz-border-radius:6px;
	-webkit-border-radius:6x;
	background: #ee9;
	
	text-align:left;
	color:#000;
	font-size:12px;
	padding: 2px;
	width:200px;
	position:absolute;
	z-index:100;
	top:4px;
	display:none;
}

#message_navigater{
	border-radius:10px;
	-moz-border-radius:10px;
	-webkit-border-radius:10x;
	background: #ee9;
	
	text-align:left;
	color:#000;
	font-size:12px;
	padding: 6px;
	position:absolute;
	z-index:100;
	top:4px;
	display:none;
}


table.company_edit { border:1px solid #000; border-collapse: collapse; width:320px;}
table.company_edit td{ border:1px solid #000; padding:4px 8px; background-color: #fff;}
table.company_edit th{ border:1px solid #000; padding:4px 6px; background-color: #E6E6E6; font-weight: normal;}


ul,ol {
	list-style-type: none;
}

.td_head{text-align:center; padding:5px;}
.td_head_s{text-align:center; padding:0px;}

table.line { border-top:1px solid #000;border-left:1px solid #000;border-collapse: collapse; margin:auto;}
table.line td { border-bottom:1px solid #000; border-right:1px solid #000;}

td.cell01 { text-align:left;padding:5px;}
td.cell02 { text-align:center;padding:5px;}
td.cell03 { text-align:right;padding:5px;}
td.cell04 { text-align:right;padding:5px;}
td.cell05 { text-align:left;padding:5px;}

.swbtn,.os_swbtn{
	border-radius:2px;
	-moz-border-radius:2px;
	-webkit-border-radius:2x;
	padding: 2px;
	padding-top: 1px;
	padding-bottom: 1px;
	color:#666;
	font-size:10px;
	margin: 2px;
	width:22px;
	background: #fff;
	text-align:center;
	float:left;
	height:20px;
}

.swbtn{
	display:none;
}
.swbtn:hover,.os_swbtn:hover { background-color:#999; color:#fff; cursor: pointer}

.cl_btn{
	position:absolute;
	left:-50px;
	margin-top:18px;
	width:40px;
	font-size:11px;
}

.os_cl_btn{
	margin-top:1px;
	margin-bottom:1px;
	padding-bottom: 0px;
	width:40px;
	font-size:11px;
	
	height:18px;
}

table.list { border-top:1px solid #000;border-left:1px solid #000;border-collapse: collapse; margin:auto;}
table.list td { border-bottom:1px solid #000; border-right:1px solid #000;}
.list_head{padding:0px;background-color: #E6E6E6;}
td.list01 { text-align:left;padding:5px;}
td.list02 { text-align:right;padding:5px;padding-right:10px;}
td.list03 { text-align:center;padding:5px;}
td.list04 { text-align:center;padding:5px;}
td.list05 { text-align:center;padding:5px;}
td.list06 { text-align:center;padding:5px;}
td.list07 { text-align:center;padding:5px;}
td.list08 { text-align:center;padding:5px;}

table.search { border-top:1px solid #000;border-left:1px solid #000;border-collapse: collapse; margin:auto;}
table.search td { border-bottom:1px solid #000; border-right:1px solid #000;}


table.outsource_line { border-top:1px solid #000;border-left:1px solid #000;border-collapse: collapse; margin:auto;background-color: #fff;}
table.outsource_line td { border-bottom:1px solid #000; border-right:1px solid #000;}
.outsource_line_head{padding:0px;background-color: #E6E6E6;}
td.oline01 { text-align:left;padding:5px;}
td.oline02 { text-align:right;padding:5px;padding-right:10px;}
td.oline03 { text-align:center;padding:5px;}
td.oline04 { text-align:center;padding:5px;background-color: #E6E6E6;}


table.outsource_list_line { padding:8px;border-top:1px solid #ccc;border-left:1px solid #ccc;border-collapse: collapse; margin:auto;background-color: #fff;}
table.outsource_list_line td { border-bottom:1px solid #ccc; border-right:1px solid #ccc;}
.outsource_list_line_head{padding:0px;background-color: #E6E6E6;}
td.olist01 { text-align:left;padding:2px;}
td.olist02 { text-align:right;padding:2px;padding-right:10px;}
td.olist03 { text-align:center;padding:2px;}
td.olist04 { text-align:center;padding:2px;background-color: #E6E6E6;}

.no{ width: 96px; margin-bottom:4px;}
.date{ width: 120px; margin-bottom:4px;}

.sp{ width: 90px;}
.tantou{ width: 100px;}

.company{ width: 330px; }
.subject{ width: 310px; }
.num{ width: 24px;}
.tani{ width: 20px; }
.tanka{ width: 75px; }



#r_menu{
	/*position:fixed;*/
	position:absolute;
	background: #fff;
	color:#333;
	width:150px;
	left:1080px;
	z-index:10;
}

#r_menu_list{
	position:absolute;
	background: #fff;
	color:#333;
	width:150px;
	left:1080px;
	z-index:10;
}

#l_menu{
	position:absolute;
	background: #fff;
	color:#333;
	width:150px;
	left:1080px;
	z-index:10;
}

.btn,.btn2{
	border-radius:10px;
	-moz-border-radius:10px;
	-webkit-border-radius:10x;
	padding: 8px;
	color:#fff;
	font-size:11px;
	margin-bottom: 10px;
	width:136px;
	background: #999;
}

.btn{
	cursor: pointer;
	
	-moz-transition: all 0.2s ease-out;
	-webkit-transition: all 0.2s ease-out;
}

.btn:hover { background-color:#556; color:#fff; cursor: pointer}
.btn_select { background-color:#556; color:#fff;}

#btn_edit{
	background-color: <?=COLOR_EDIT_BTN_BG ?>;
	color:<?=COLOR_EDIT_BTN_TXT ?>;
}
#btn_edit:hover{
	background-color: <?=COLOR_EDIT_BTN_HOVER_BG ?>;
	color:<?=COLOR_EDIT_BTN_TXT ?>;
}

#waku_font{
	background: #99a;
	height:145px;
	/*height:205px;*/
}
.space{
	height:12px;
}

.bg2{
	background: <?=COLOR_MEMO_BG ?>;
	color: <?=COLOR_MEMO_TXT ?>;
}

.mbtn{
	border-radius:2px;
	-moz-border-radius:2px;
	-webkit-border-radius:2x;
	padding: 2px;
	padding-top: 5px;
	padding-bottom: 0px;
	color:#fff;
	font-size:10px;
	margin: 2px;
	width:22px;
	background: #aaa;
	text-align:center;
	float:left;
	height:22px;
	cursor: pointer;
}

.mbtn_h{
	padding: 2px;
	padding-top: 8px;
	width:40px;
	float:left;
	clear:both
}


.btn_kazei{
	border-radius:2px;
	-moz-border-radius:2px;
	-webkit-border-radius:2x;
	padding: 2px;
	padding-top: 3px;
	padding-bottom: 5px;
	color:#fff;
	font-size:11px;
	margin: auto;
	margin-left: 5px;
	width:36px;
	background: #aaa;
	text-align:center;
	float:left;
	height:12px;
	cursor: pointer;
}

.mbtn_select{
	background: #bc9853;
}
.mbtn:hover { background-color:#bc9853; color:#fff; cursor: pointer}
.btn_kazei:hover { background-color:#bc9853; color:#fff; cursor: pointer}

.goukei{
	/*margin-top: 5px;*/
}


.dp{width:76px;}
.fb{font-size:12px;margin-right: 10px;white-space: nowrap;}


.waku_search{
	border-radius:3px;
	-moz-border-radius:3px;
	-webkit-border-radius:3px;
	background: #fff;
	/*border:solid 1px #aaa;*/
	width: 640px;
	margin: auto;
	padding:10px;
	
}

.link1,.link2,.link3,.link4,.link4_on,.link4_off{
	border-radius:3px;
	-moz-border-radius:3px;
	-webkit-border-radius:3px;
	background: #fff;
}
.link2{ padding:8px;}
.link3{ padding:8px;}
.link4,.link4_on,.link4_off{ padding:4px 10px; margin-right:3px;}

.link1:hover,.link2:hover,.link3:hover,.link4:hover { background-color:#999; color:#fff; cursor: pointer}

.link4_on { background-color:#999; color:#fff;}

.btn_sort{
	border-radius:3px;
	-moz-border-radius:3px;
	-webkit-border-radius:3px;
	padding:3px 4px; margin-right:0px;
}
.btn_sort:hover { background-color:#999; color:#fff; cursor: pointer}
.btn_sort_on { background-color:#999; color:#fff;}

.btn3{
	border-radius:10px;
	-moz-border-radius:10px;
	-webkit-border-radius:10x;
	padding: 8px;
	color:#fff;
	font-size:11px;
	margin-bottom: 10px;
	width:45px;
	margin-left: 10px;
	margin-right: 0px;
	background: #999;
	cursor: pointer;
	text-align:center;
	float:left;
}

.btn3:hover { background-color:#556; color:#fff; cursor: pointer}

#user_menu{
	width: 200px;
	padding: 8px;
	background: #fff;
	color:#555;
	font-size: 10px;
	left:0px;
	position:absolute;
	top:0px;
	font-size: 12px;
	z-index:10;
}

a {
	outline: none; 
	text-decoration: none;
	word-break: break-all;
}

a:link {color: #999999;}
a:visited { color: #999999; }
a:hover { color: #000000; }
a:active { color: #999999; }

label:hover {
	cursor: pointer;
}

.outsource_edit,.outsource_save{background-color: <?=COLOR_EDIT_BTN_BG ?>; color:<?=COLOR_EDIT_BTN_TXT ?>; width:80px;}
.outsource_edit_close{width:80px;}
.outsource_edit_cancel{width:100px;}


.seikyu_mityaku {color: #f30;}
