-- --------------------------------------------------------

--
-- テーブルの構造 `company`
--

DROP TABLE IF EXISTS `company`;
CREATE TABLE IF NOT EXISTS `company` (
  `company_id` int(11) NOT NULL auto_increment,
  `name` text collate utf8_unicode_ci NOT NULL,
  `yomi` text collate utf8_unicode_ci NOT NULL,
  `sp` text collate utf8_unicode_ci NOT NULL,
  `os_flag` tinyint(4) NOT NULL,
  `updated` datetime NOT NULL,
  UNIQUE KEY `company_id` (`company_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=1 ;


-- --------------------------------------------------------

--
-- テーブルの構造 `doc`
--

DROP TABLE IF EXISTS `doc`;
CREATE TABLE IF NOT EXISTS `doc` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `no` varchar(255) NOT NULL,
  `subject` varchar(255) NOT NULL,
  `company_id` int(11) NOT NULL default '0',
  `company` varchar(255) NOT NULL,
  `sougoukei` bigint(20) default NULL,
  `create_uid` int(11) default NULL,
  `m_date` date NOT NULL,
  `s_date` date NOT NULL,
  `n_date` date NOT NULL,
  `txt` text,
  `created` datetime default NULL,
  `updated` datetime default NULL,
  `deleted` datetime default NULL,
  UNIQUE KEY `id` (`id`),
  KEY `created` (`created`),
  KEY `m_date` (`m_date`),
  KEY `s_date` (`s_date`),
  KEY `n_date` (`n_date`),
  KEY `sougoukei` (`sougoukei`),
  KEY `subject` (`subject`),
  KEY `company` (`company`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;


-- --------------------------------------------------------

--
-- テーブルの構造 `doc_preview`
--

DROP TABLE IF EXISTS `doc_preview`;
CREATE TABLE IF NOT EXISTS `doc_preview` (
  `uid` int(10) unsigned NOT NULL,
  `txt` text,
  `updated` datetime default NULL,
  UNIQUE KEY `uid` (`uid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


-- --------------------------------------------------------

--
-- テーブルの構造 `users`
--

DROP TABLE IF EXISTS `users`;
CREATE TABLE IF NOT EXISTS `users` (
  `uid` int(11) NOT NULL auto_increment,
  `pass` text collate utf8_unicode_ci NOT NULL,
  `yomi` text collate utf8_unicode_ci NOT NULL,
  `perm` tinyint(4) NOT NULL default '1',
  `active_company` text collate utf8_unicode_ci NOT NULL,
  `txt` text collate utf8_unicode_ci NOT NULL,
  `updated` datetime NOT NULL,
  UNIQUE KEY `uid` (`uid`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=2 ;

--
-- テーブルのデータをダンプしています `users`
--

INSERT INTO `users` (`uid`, `pass`, `yomi`, `perm`, `active_company`, `txt`, `updated`) VALUES
(1, '011c945f30ce2cbafc452f39840f025693339c42', '_しすてむかんりしゃ', 14, '', '{"uid":"1","name1":"システム","name2":"管理者","yomi":"_しすてむかんりしゃ","perm":"14"}', '2013-03-31 19:45:53');
