<?
require_once('./php/_init.php');

/*
ユーザー管理
*/

//ログインチェック
auth_page($current_uid);

//権限がない場合、エラー
if($current_perm != 4){
	header("Location: my.php");
	exit();
}
	
?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<link rel="stylesheet" type="text/css" href="style.css.php">
<style type="text/css">
<!--

.waku_my_menu,.waku_my_user,.waku_my_user_edit{
	border-radius:10px;
	-moz-border-radius:10px;
	-webkit-border-radius:10x;
	padding: 8px;
	color:#000;
	font-size:12px;
	margin-top: 60px;
	margin-bottom: 10px;
	margin-left: 10px;;
	margin-right: auto;
	height:auto;
	background: #eee;
	border:solid 1px #666;
}

.waku_my_menu{
	width:120px;
	line-height: 2;
	float:left;
}

.waku_my_user{
	width:520px;
	line-height: 2;
	float:left;
}
.waku_my_user_edit{
	width:280px;
	line-height: 2;
	float:left;
	display:none;
}

.waku_my a:link {color: #333;}
.waku_my a:visited { color: #333; }
.waku_my a:hover { color: #999; }
.waku_my a:active { color: #333; }

table.user_list { border:1px solid #000; border-collapse: collapse; width:520px;}
table.user_list td{ border:1px solid #000; padding:1px 6px 1px 6px;background-color: #fff;}
.user_list_head td{  text-align:center;background-color: #E6E6E6 !important;}


table.user_edit { border:1px solid #000; border-collapse: collapse; width:280px;}
table.user_edit td{ border:1px solid #000; padding:1px 6px 1px 6px;background-color: #fff;}
table.user_edit th{ border:1px solid #000; padding:1px 6px 1px 6px;background-color: #E6E6E6; font-weight: normal;}

-->
</style>
<script type="text/javascript" src="./js/jquery-1.7.1.min.js"></script>
<script type="text/javascript" src="./js/funcs.js.php"></script>
<script type="text/javascript" src="./js/user.js.php"></script>
<? //javascript_echo($current_perm); ?>
<script type="text/javascript">
<!--

<? if($current_perm == 4){ ?>

var template_user_list_th = "";
var template_user_list_tr = "";
var obj_perm = {
	"1":"1.自分のみ",
	"2":"2.全閲覧",
	"3":"3.全編集",
	"4":"4.管理者"
};
var obj_perm2 = {
	"0":"0.不可",
	"1":"1.全編集"
};

function make_user_list(){
	$(".user_list").html("");
	$(".user_list").append('<tr class="user_list_head">' + template_user_list_th + '</tr>');
	
	for (var i in obj_user) {
		var obj = obj_user[i];
		
		var perm1 = parseInt(obj.perm);
		var perm2 = 0;
		if(perm1 > 10){
			perm1 = perm1 - 10;
			perm2 = 1;
		}
		
		$(".user_list").append("<tr>" + 
		template_user_list_tr
			.replace(/##uid##/g, i)
			.replace("##name1##", obj.name1)
			.replace("##name2##", obj.name2)
			.replace("##yomi##", obj.yomi)
			.replace("##perm##", obj_perm[perm1])
			.replace("##perm2##", obj_perm2[perm2])

			 + "</tr>");
	}
}

function user_edit_submit(){
	return false;
}

function obj_user_pass_reset(uid){
	//console.log(uid);

	$.ajax({
		type: "POST",
		data: { pass_reset_uid:uid },
		cache: false,
		url: "./php/user.php",
		success:  function(data, dataType){
			var ret = parseJSON(data);
			var data1 = ret[0];
			var err = ret[1];
			var ok = status_ok("reset_ok", err, data1);
			
			if(ok == 1){
				window.alert('パスワードをリセットしました');
			}else{
				window.alert('パスワードリセットに失敗しました');
			}
		},
		error: handleError,
		complete: handleComplete
	});
}

function display_edit_result(mode){
	//mode 0 新規作成した 1 編集した 2 削除した
	//console.log("display_edit_result");
	var message = "保存しました";
	
	if(mode == 0){
		message = "新規作成しました";
	}else if(mode == 2){
		message = "削除しました";
	}
	
	$(".div_waku_my_user_edit").css("display", "none");
	
	$(".div_waku_my_user_edit_result").html(message);
	$(".div_waku_my_user_edit_result").css("display", "block");
	
	make_user_list();
}

function obj_user_delete_ok(uid){

	$.ajax({
		type: "POST",
		data: { delete_uid_ok:uid },
		cache: false,
		url: "./php/user.php",
		success:  function(data, dataType){
			var data1 = JSON.parse(data);
			//console.log(data);
			if(data1.cnt == "0"){
				console.log("del ok");
				if(window.confirm('ユーザーを削除しますがよろしいですか？')){
					obj_user_delete(uid);
				}
			}else{
				window.alert('このユーザーは削除不可能です　データ作成数(' + data1.cnt + ')');
			}
		},
		error: handleError,
		complete: handleComplete
	});
}

function obj_user_delete(uid){
	//console.log(uid);

	$.ajax({
		type: "POST",
		data: { delete_uid:uid },
		cache: false,
		url: "./php/user.php",
		success:  function(data, dataType){
			var data1 = JSON.parse(data);
			//console.log(data);
			if(data1.uid != ""){
				delete obj_user[data1.uid];
				display_edit_result(2);
			}
		},
		error: handleError,
		complete: handleComplete
	});
}

function obj_user_save(){

	var obj = obj_user1;
	obj.uid = conv_json_text("#uid");
	obj.name1 = conv_json_text("#name1");
	obj.name2 = conv_json_text("#name2");
	obj.yomi = conv_json_text("#yomi");
	
	var perm = $("input[name=perm]:checked").val();
	var perm2 = $("input[name=perm2]:checked").val();
	if(perm2 == "1"){
		perm = "1" + perm;
	}
	obj.perm = perm;
	//console.log(perm);
	//console.log(obj);
	obj_user1 = obj;
	
	var str = JSON.stringify(obj);
	var data = { user_data:str };
	//console.log(data);
	
	$.ajax({
		type: "POST",
		data: data,
		cache: false,
		url: "./php/user.php",
		success:  function(data, dataType){
			//console.log(data);
			var ret = parseJSON(data);
			var data1 = ret[0];
			var err = ret[1];
			var ok = status_ok("edit_ok", err, data1);
			
			if(ok == 1){
				var mode = 1;
				if(obj_user1.uid == "0"){
					mode = 0;
				}
				obj_user1.uid = data1.uid;
				obj_user[obj_user1.uid] = json_clone(obj_user1);
		
				display_edit_result(mode);
			}else{
				window.alert('保存に失敗しました ' + ((err != "") ? err : data1.status));
			}
		},
		error: handleError,
		complete: handleComplete
	});
	/**/
}
<? } ?>

$(function() {

	var current_uid = <?=$current_uid; ?>;
	$("#login_uname").html(obj_user[current_uid].name1 + " " + obj_user[current_uid].name2);
	
<? if($current_perm == 4){ ?>
	template_user_list_th = $(".user_list tr").eq(0).html();
	template_user_list_tr = $(".user_list tr").eq(1).html();
	$(".user_list tr").eq(0).remove();
	$(".user_list tr").eq(0).remove();
	
	make_user_list();
	
	$('.btn_user_edit').live("click", function() {
	
		$(".waku_my_user_edit").css("display", "block");
		$(".div_waku_my_user_edit").css("display", "block");
		$(".div_waku_my_user_edit_result").css("display", "none");

		var uid = $(this).attr("id")
		if(uid == "0"){
			$("#edit_uid").html("新規ユーザー");
			$("#uid").val("0");
			$("#name1").val("");
			$("#name2").val("");
			$("#yomi").val("");

			$("input[name=perm]").val(['3']);
			$("input[name=perm2]").val(['0']);
			
			$("#pass_reset,#div_delete").css("display", "none");
		}else{
			var obj = obj_user[uid];
			$("#edit_uid").html(uid);
			$("#uid").val(uid);
			$("#name1").val(conv_str(obj.name1));
			$("#name2").val(conv_str(obj.name2));
			$("#yomi").val(conv_str(obj.yomi));
			
			var perm1 = parseInt(obj.perm);
			var perm2 = 0;
			if(perm1 > 10){
				perm1 = perm1 - 10;
				perm2 = 1;
			}
			$("input[name=perm]").val([perm1]);
			$("input[name=perm2]").val([perm2]);
			
			$("#pass_reset,#div_delete").css("display", "inline");
		}
		
	});
	
	
	$('#save').live("click", function() {
		obj_user_save();
	});

	$('#cancel').live("click", function() {
		$(".waku_my_user_edit").css("display", "none");
	});

	$('#delete').live("click", function() {
		var uid = conv_json_text("#uid");
		obj_user_delete_ok(uid);
	});

	$('#pass_reset').live("click", function() {
		var uid = conv_json_text("#uid");
		if(window.confirm('パスワードをリセットしますがよろしいですか？')){
			obj_user_pass_reset(uid);
		}
	});
	
<? } ?>
});


//-->
</script>
<title><?=APP_TITLE ?></title>
</head>
<body>

<div id="user_menu">
	<a href="./">メインページ</a>&nbsp;&nbsp;&nbsp;<a href="logout.php">ログアウト</a><br>
	ログイン：<span id="login_uname"></span>
</div>

<div class="waku_my">

	<div class="waku_my_menu">

		<a href="my.php">パスワード変更</a><br>

		<? if($current_perm == 4){ ?>
		<br>
		■管理機能<br>
		<a href="admin_user.php">ユーザー管理</a><br>
		<? } ?>
	</div>

	<? if($current_perm == 4){ ?>
	<div class="waku_my_user">
		■ユーザー管理<br>

		<table class="user_list">
			<tr class="user_list_head">
				<td width="20">uid</td>
				<td width="50">姓</td>
				<td width="50">名</td>
				<td width="120">よみがな</td>
				<td width="60">権限</td>
				<td width="60">外注明細</td>
				<td width="40">編集</td>
			</tr>
			<tr>
				<td align="right">##uid##</td>
				<td>##name1##</td>
				<td>##name2##</td>
				<td>##yomi##</td>
				<td>##perm##</td>
				<td>##perm2##</td>
				<td align="center"><a href="javascript:void(0);" id="##uid##" class="btn_user_edit">編集</a></td>
			</tr>
		</table>
		<a href="javascript:void(0);" id="0" class="btn_user_edit">新規作成</a>　[新規ユーザーの初期パスワードは「0000」となります]<br>
		<br>
		■権限について<br>
		　1.自分のみ：自分が作成したデータのみ閲覧・編集可能<br>
		　2.全閲覧：他の人が作成したデータを閲覧可能<br>
		　3.全編集：他の人が作成したデータを閲覧・編集可能<br>
		　4.管理者：管理機能を使用可能<br>
		<br>
		■外注明細権限について<br>
		　0.不可：閲覧・編集不可能<br>
		　1.全編集：全データ閲覧・編集可能<br>
		<br>
		■パスワードについて<br>
		　パスワードを忘れた場合 → 編集 → パスワードリセット<br>
		　パスワードリセットしたユーザーは初期パスワード「0000」となります<br>
		　初期パスワードでログイン後、マイページでパスワードを設定します<br>
		　※初期パスワードを変更しないと自動ログインができません<br>
		　
		　<?
		if($APP_SAMPLE == 1 && $current_uid==1){
			echo "<br>　※サンプル版ではシステム管理者の情報は変更できません<br>";
		}
		?>
	</div>
	
	<div class="waku_my_user_edit">
		<div class="div_waku_my_user_edit">
		■ユーザー編集&nbsp;&nbsp;&nbsp;&nbsp;<input type="button" id="pass_reset" name="pass_reset" style="width:160px;" value="！パスワードリセット"><br>

		<form method="post" onsubmit="return user_edit_submit()">
		<div align="right" style="padding:5px;margin-top:0px;">
			
		</div>
		<table class="user_edit">
			<tr>
				<th width="80" align="right">uid</th>
				<td width="200" id="edit_uid"></td>
			</tr>
			<tr>
				<th align="right">姓</th>
				<td><input type="text" id="name1" name="name1" style="width:120px;" value="" maxlength="255"></td>
			</tr>
			<tr>
				<th align="right">名</th>
				<td><input type="text" id="name2" name="name2" style="width:120px;" value="" maxlength="255"></td>
			</tr>
			<tr>
				<th align="right">よみがな</th>
				<td><input type="text" id="yomi" name="yomi" style="width:160px;" value="" maxlength="255"></td>
			</tr>
			<tr>
				<th align="right">権限</th>
				<td style="line-height: 1.6;">
					<label><input type="radio" name="perm" value="1"> 1.自分のみ</label><br>
					<label><input type="radio" name="perm" value="2"> 2.全閲覧</label><br>
					<label><input type="radio" name="perm" value="3"> 3.全編集</label><br>
					<label><input type="radio" name="perm" value="4"> 4.管理者</label><br>
				</td>
			</tr>
			<tr>
				<th align="right">外注明細</th>
				<td style="line-height: 1.6;">
					<label><input type="radio" name="perm2" value="0"> 0.不可</label><br>
					<label><input type="radio" name="perm2" value="1"> 1.全編集</label><br>
				</td>
			</tr>
		</table>
		<div align="center" style="padding:5px;margin-top:10px;">
			<input type="submit" id="save" name="save" style="width:80px;" value="保存">&nbsp;&nbsp;
			<input type="button" id="cancel" name="cancel" style="width:100px;" value="キャンセル">
		</div>
		<input type="hidden" id="uid" name="uid" value="">
		</form>
		<br>
			<div id="div_delete">
				■削除について<br>
				　見積データ未作成ユーザーのみ削除可能です<br>
				<div align="center" style="padding:5px;margin-top:4px;">
					<input type="button" id="delete" name="delete" style="width:140px;" value="！ユーザー削除">
				</div>
			</div>
		</div>
		<div class="div_waku_my_user_edit_result">
		</div>
	</div>
	<? } ?>

</div>

</body>
</html>
