﻿var obj_doc = {
	"id":"0",
	"no":"",
	"m_date":"",
	"s_date":"",
	"n_date":"",
	"yuukoukigen":"",
	"company_id":"0",
	"company":"",
	"sp":"",
	"syain":"",
	"tantou":"",
	"subject":"",
	"sougoukei":"",
	"goukei":"",
	"syouhizei":"",
	"goukei_none":"0",
	"zkazei":"1",
	"m_bikou":"",
	"s_bikou":"",
	"n_bikou":"",
	"created":"",
	"updated":"",
	"create_uid":"",
	"update_uid":"",
	"fs_company":"12",
	"fs_subject":"12",
	"fs_item1":"10",
	"fs_item2":"10",
	"fs_bikou":"10",
	"fs_bikou2":"10",
	"memo":"",
	"item":
	[
		{
			"item1":"",
			"item2":"",
			"num":"",
			"tani":"",
			"tanka":"",
			"kazei":"",
			"bikou":""
		}
	],
	"outsource":
	[
		{
			"os_name":"",
			"os_item":"",
			"os_guara":"",
			"os_keihi":"",
			"os_kazei":"",
			"os_syouhizei":"",
			"os_seikyu_date":"",
			"os_shiharai_date":"",
			"os_bikou":""
		}
	],
	"outsource_input_date":"",
	"outsource_bikou":""
};

var obj_doc_item = {
	"item1":"",
	"item2":"",
	"num":"",
	"tani":"",
	"tanka":"",
	"kazei":"1",
	"bikou":""
};

var obj_doc_outsource = {
	"os_name":"",
	"os_item":"",
	"os_guara":"",
	"os_keihi":"",
	"os_kazei":"1",
	"os_syouhizei":"",
	"os_seikyu_tyaku":"",
	"os_seikyu_date":"",
	"os_shiharai_date":"",
	"os_bikou":""
};

var obj_doc_line_max = 14;
var obj_doc_os_line_max = 19;

obj_doc_clear();
//obj_doc_item_clear();
//obj_doc_output_console();

function obj_doc_output_console(){
	//console.log("obj_doc_output_console");
	for (var i in obj_doc) {
		if(i == "item"){
			for (var j in obj_doc[i]) {
				//console.log(j + " " + obj_doc[i].length);
				for (var k in obj_doc[i][j]) {
					//console.log(k + " " + obj_doc[i][j][k]);
				}
			}
		}else if(i == "outsource"){
			for (var j in obj_doc[i]) {
				//console.log(j + " " + obj_doc[i].length);
				for (var k in obj_doc[i][j]) {
					//console.log(k + " " + obj_doc[i][j][k]);
				}
			}
		}else{
			//console.log(i + " " + obj_doc[i]);
		}
	}
}

function obj_doc_clear(){
	for (var i in obj_doc) {
		if(i == "item"){
			obj_doc[i].length = obj_doc_line_max;
			for(var j = 0; j < obj_doc_line_max; j++){
				obj_doc[i][j] = json_clone(obj_doc_item);
			}
		}else if(i == "outsource"){
			obj_doc[i].length = obj_doc_os_line_max;
			for(var j = 0; j < obj_doc_os_line_max; j++){
				obj_doc[i][j] = json_clone(obj_doc_outsource);
			}
		}else{
			obj_doc[i] = "";
		}
	}
}
/*
function obj_doc_item_clear(){
	for (var i in obj_doc_item) {
		obj_doc_item[i] = "";
	}
}*/

//値をセットする
function obj_doc_e_set(id){
	
	var obj = data_list[id];
	
	//console.log("start obj_doc_e_set() " + id);
	
	if(id == "0"){
		//新規作成
		obj_doc_clear();
		obj_doc.no = "";
		obj_doc.m_date = nowDate();
		obj_doc.yuukoukigen = addDate(nowDate());
	
		obj_doc.created = nowDate();
		obj_doc.create_uid = "" + current_uid;
		obj_doc.updated = nowDate();
		obj_doc.update_uid = "" + current_uid;
		
		obj_doc.tantou = uname_full(current_uid);
		
		obj_doc.fs_company = "12";
		obj_doc.fs_subject = "12";
		obj_doc.fs_item1 = "10";
		obj_doc.fs_item2 = "10";
		obj_doc.fs_bikou = "10";
		obj_doc.fs_bikou2 = "10";
		
		obj_doc.zkazei = "1";
		obj_doc.syain = "1";

		obj = obj_doc;
	}
	
	//リロード、直リンクの場合、データを取得する
	if(obj == undefined){
		//alert("a");
		
		//console.log("undefined obj_doc_e_set() " + id);
		
		$.ajax({
			type: "GET",
			data: {id:id},
			cache: false,
			url: "./php/list.php",
			success: function(data, dataType) {
				var ret = parseJSON(data);
				var data1 = ret[0];
				var err = ret[1];
				var ok = status_ok("ok", err, data1);
				//console.log(" -- " + data );console.log(" -- " + data1.count );
				if(ok == 1){
					if(data1.count == "1"){
						var obj = data1.result[0];
						data_list[obj.id] = obj;
						//console.log(" set " + obj.id);
						obj_doc_e_set(obj.id);
						
						//obj_doc_output_console();
					}else{
						ok = 0;
					}
				}
				
				if(ok == 0){
					window.alert('データの取得に失敗しました');
					location.href = "#";
				}
			},
			error: handleError,
			complete: handleComplete
		});
	
		return;
	}
	
	//console.log(obj);
	for (var i in obj_doc) {
		if(i == "item"){
			for(var j = 0; j < obj_doc_line_max; j++){
				for (var k in obj_doc_item) {
					if(obj[i][j] != undefined){
						if(obj[i][j][k] != undefined){
							var s = conv_str(obj[i][j][k]);
							$("#e_" + k + "_" + (j+1)).val(s);
						}
					}
				}
			}
		}else if(i == "outsource"){
			for(var j = 0; j < obj_doc_os_line_max; j++){
				for (var k in obj_doc_outsource) {
					if(obj[i] != undefined){
						if(obj[i][j] != undefined){
							if(obj[i][j][k] != undefined){
								var s = conv_str(obj[i][j][k]);
								$("#e_" + k + "_" + (j+1)).val(s);
							}
						}
					}
				}
			}
		}else{
			var s = conv_str(obj[i]);
			if(i != "id"){
				$("#e_" + i).val(s);
				
				switch(i){
					case "m_date": $("#v_m_date2").html(list_d2(s)); break;
					case "s_date": $("#v_s_date2").html(list_d2(s)); break;
					case "n_date": $("#v_n_date2").html(list_d2(s)); break;
					case "outsource_input_date": $("#v_os_date2").html(list_d2_no_sumi(s)); break;
					
					case "sougoukei": 
						$("#v_sougoukei").html(num2en(s));
						$("#v_sougoukei2").html(num2en(s));
						break;
					
					case "goukei":     $("#v_goukei").html(num2en(s)); break;
					case "syouhizei":  $("#v_syouhizei").html(num2en(s)); break;
					case "created":    $("#v_created").html(s); break;
					case "updated":    $("#v_updated").html(s); break;
					case "create_uid": $("#v_create_uid").html(uname_full(s)); break;
					case "update_uid": $("#v_update_uid").html(uname_full(s)); break;
					case "syain":      if(s == "1"){ $('input[name=e_syain]').attr('checked','checked'); }else{ $('input[name=e_syain]').attr('checked', false); } break;
					//console.log("e_syain " + s); 
				}
			}
		}
	}/**/
	
	culc_goukei();
	//console.log("edit_mode " +edit_mode);
	change_edit();
	set_back_next();
}

function obj_doc_save(preview){
	obj_doc_clear();
	
	//console.log("obj_doc_save() ");
	
	$("#e_updated").val(nowDate());
	$("#e_update_uid").val("" + current_uid);
	
	obj_doc.id = now_id;
	for (var i in obj_doc) {
		if(i == "item"){
			for(var j = 0; j < obj_doc_line_max; j++){
				for (var k in obj_doc_item) {
					obj_doc[i][j][k] = conv_json_text("#e_" + k + "_" + (j+1));
				}
			}
		}else if(i == "outsource"){
			for(var j = 0; j < obj_doc_os_line_max; j++){
				
				for (var k in obj_doc_outsource) {
					obj_doc[i][j][k] = conv_json_text("#e_" + k + "_" + (j+1));
				}
			}
		}else{
			if(i != "id"){
				if(i == "syain"){
					obj_doc[i] = ($("input[name=e_syain]:checked").val() != undefined) ? "1" : "";
				}else{
					obj_doc[i] = conv_json_text("#e_" + i);
				}
			}
		}
	}

	//obj_doc_output_console();
	//console.log(data_list[obj_doc.id]);
	
	var str = JSON.stringify(obj_doc);
	//console.log(new Date() + " " + str);
	//console.log(obj_doc);
	
	var data = { doc_data:str };
	if(preview == "preview"){
		data = { preview_doc_data:str };
	}else{
		data_list[obj_doc.id] = json_clone(obj_doc);
	}
	
	if(str.length > 20000){
		window.alert('保存に失敗しました 入力文字数が多すぎます 全文字数(' + str.length + ')');
		return;
	}
	
	$.ajax({
		type: "POST",
		data: data,
		cache: false,
		url: "./php/post.php",
		success:  function(data, dataType){
			//console.log(data);
			var ret = parseJSON(data);
			var data1 = ret[0];
			var err = ret[1];
			var ok = status_ok("ok", err, data1);
			
			if(ok == 1){
				edit_change = 0;
				if(now_id == "0"){
					now_id = data1.id;
					location.href = "#!v" + edit_mode + now_id;
				}else{
					display_page("#!v" + edit_mode + now_id);
				}
			}else{
				ok = status_ok("preview_ok", err, data1);
				if(ok == 1){
					//console.log("preview_ok");
					preview_window.location.href = preview_pdf_param;
				}else{
					window.alert('保存に失敗しました ' + ((err != "") ? err : data1.status));
				}
			}
		},
		error: handleError,
		complete: handleComplete
	});
}

var handleSuccess = function(data, dataType) {
	var ret = parseJSON(data);
	var data1 = ret[0];
	var err = ret[1];
	var ok = status_ok("ok", err, data1);
	
	if(ok == 0){
		$(".list").html("");
		//console.log(err);
		return;
	}
	//console.log(data1.getdate + " t=" + data1.gettime + " count=" + data1.count + " sql=" + data1.sql);
	//console.log(data1.getdate + " t=" + data1.gettime + " count=" + data1.count);
	//console.log(data);
	data_list = new Array();
	data_id_list = new Array();

	//これはサーバー側の処理時間　詳細はlist.php参照　この数値を見てサーバーの状況をなんとなく確認する
	$("#list_result_status").html("status " + data1.status + " : " + Math.ceil(data1.gettime * 100) / 100 + "s");
	//$("#list_result_status").html("status " + data1.status);

	var str_page = make_str_page(data1.count, data1.page, data1.page_view);
	$(".list_result_page").html(str_page);

	$(".list").html("");
	
	//if(data1.count == "0"){return;}
	
	$(".list").append('<tr class="list_head">' + template_list_th + '</tr>');
	
	for(var i = 0; i < data1.result.length; i++){
		var obj = data1.result[i];
		
		data_list[obj.id] = obj;
		data_id_list.push(obj.id);
		
		$(".list").append("<tr>" + 
			template_list_tr
				.replace(/##id##/g, obj.id)
				.replace("##no##", obj.no)
				.replace("##subject##", list_t(obj.subject))
				.replace("##company##", list_t(obj.company))
				.replace("##sougoukei##", num2en(obj.sougoukei))
				.replace("##m_date##", list_d(obj.m_date))
				.replace("##s_date##", list_d(obj.s_date))
				.replace("##n_date##", list_d(obj.n_date))
				.replace("##create_uname##", uname(obj.create_uid))

				 + "</tr>");
		
		if(display_outsource == 1){
		
			var outsource_list_line_body = '<tr><td>　　　<span style="color:#f30;">外注明細　未入力</span>　　　</td></tr>';
			
			if(obj.outsource_input_date != undefined){
				if(obj.outsource_input_date != ""){
					if(obj.outsource != undefined){
					
						var ritu = zeiritu_per(obj.m_date, obj.created);
						outsource_list_line_body = '<tr class="outsource_list_line_head">' + 
							template_list_os_th
							.replace(/##zeiritsu##/g, ritu)
							+ '</tr>';

						var guara_goukei = 0;
						var keihi_goukei = 0;
						var zei_goukei = 0;
						var goukei_soukei = 0;
						
						for (var j = 0; j < obj.outsource.length; j++){
							var name  = conv_text(obj.outsource[j].os_name);
							var item  = conv_text(obj.outsource[j].os_item);
							var bikou  = conv_text(obj.outsource[j].os_bikou);
							var os_seikyu_date  = "" + obj.outsource[j].os_seikyu_date;
							var os_shiharai_date  = "" + obj.outsource[j].os_shiharai_date;
							var os_seikyu_tyaku = "" + obj.outsource[j].os_seikyu_tyaku;
							
							var guara = "" + en2num(obj.outsource[j].os_guara);
							var keihi = "" + en2num(obj.outsource[j].os_keihi);
							var kazei = obj.outsource[j].os_kazei;
							
							if(name == "" && item == "" && guara == "" && keihi == "" && bikou == ""){
								continue;
							}
							//console.log("[" + guara + "]");
							
							var guara_n = 0;
							var keihi_n = 0;
							var zei = 0;
							var goukei = 0;
							var add_s = "";
							
							if (guara.match(/[\.0-9]+$/)) { guara_n = parseFloat(guara); }
							if (keihi.match(/[\.0-9]+$/)) { keihi_n = parseFloat(keihi); }
							
							goukei = guara_n + keihi_n;
							
							if(kazei == "1"){
								if(guara != ""){
									zei = Math.floor(guara_n * zeiritu(ritu)) - guara_n
									goukei += zei;
								}
							}else{
								add_s = (goukei != 0) ? "(非)" : "";
							}

							guara_goukei += guara_n;
							keihi_goukei += keihi_n;
							zei_goukei += zei;
							goukei_soukei += goukei;
							
							if(goukei == 0) { goukei = "&nbsp;"; }
							
							//$("#v_os_goukei_" + i).html(add_s + num2en(goukei));
							
							var s_zei = (zei != 0) ? zei : "";
							//$("#v_os_syouhizei_" + i).html(s_zei);/
						
							outsource_list_line_body += '<tr>' + 
								template_list_os_tr1
									.replace(/##os_name##/g, name)
									.replace(/##os_item##/g, item)
									.replace(/##os_guara##/g, num2en(guara))
									.replace(/##os_keihi##/g, num2en(keihi))
									.replace(/##os_syouhizei##/g, num2en(s_zei))
									.replace(/##os_goukei##/g, num2en(goukei))
									.replace(/##os_seikyu_tyaku##/g, (os_seikyu_tyaku == "1") ? "着" : '<span class="seikyu_mityaku">未</span>')
									.replace(/##os_seikyu_date##/g, os_seikyu_date)
									.replace(/##os_shiharai_date##/g, os_shiharai_date)
									.replace(/##os_bikou##/g, bikou)
								 + '</tr>';
						}
						
						var uriage = en2num(obj.goukei);
						var ararieki = uriage - goukei_soukei;
						var ararieki_per = "";
						if(uriage != 0){
							var r = Math.round(ararieki / uriage * 100);
							ararieki_per = "(" + r + "%)";
						}
						
						outsource_list_line_body += '<tr>' + 
								template_list_os_tr2
									.replace(/##os_guara_soukei##/g, num2en(guara_goukei))
									.replace(/##os_keihi_soukei##/g, num2en(keihi_goukei))
									.replace(/##os_syouhizei_soukei##/g, num2en(zei_goukei))
									.replace(/##os_goukei_soukei##/g, num2en(goukei_soukei))
									.replace(/##os_uriagedaka##/g, num2en(uriage))
									.replace(/##os_ararieki##/g, num2en(ararieki))
									.replace(/##os_ararieki_per##/g, ararieki_per)
									.replace(/##outsource_bikou##/g, conv_text(obj.outsource_bikou))
									+ '</tr>';
					}
				}
			}
			//console.log(template_list_os_tr0);
		
			$(".list").append("<tr>" + 
				template_list_os_tr0
				.replace("<tbody>", "<tbody>" + outsource_list_line_body)
				+ "</tr>");
		}
		
		if(obj.create_uid != ("" + current_uid)){
			if(current_perm != 4){
				$("#de" + obj.id).remove();
			}
		}
		if(delete_return_mode == "1"){
			$("#de" + obj.id).html("復帰");
		}else{
			$("#de" + obj.id).html("削除");
		}
	}
	
	var order = data1.order;
	$(".btn_sort").removeClass("btn_sort_on");
	if(order == ""){
		$(".btn_sort").eq(7).addClass("btn_sort_on");
	}else{
		$(".btn_sort").eq(order).addClass("btn_sort_on");
	}
	//console.log(data_id_list + " l=" + data_id_list.length);
}

function list_t(t){
	if(t ==""){
		return "&nbsp;";
	}else{
		return t;
	}
}

function list_d2_no_sumi(d){
	if(d ==""){
		return '<span style="color:#fe0">[未]</span>';
	}else{
		return " 済 " + d;
	}
}

function list_d2(d){
	if(d ==""){
		return '<span style="color:#fe0">[未]</span>';
	}else{
		return "[済] " + d;
	}
}

function list_d(d){
	if(d ==""){
		return "[未]";
	}else{
		return d;
	}
}

function uname(uid){
	if(obj_user[uid] != undefined){
		return obj_user[uid].name1;
	}else{
		return "";
	}
}

function uname_full(uid){
	if(obj_user[uid] != undefined){
		return obj_user[uid].name1 + " " + obj_user[uid].name2;
	}else{
		return "";
	}
}

function get_list(mode){
	//$(".list").html("");
	var q = conv_request_str($("#q").val());
	var cc1 = $("input[name=cc1]:checked").map( function() { return $(this).val(); }).get().join(",");
	cc1 = (cc1.substring(0, 1) == "0") ? "" : cc1;
	
	//console.log("start get_list");
	var page = (now_page == undefined) ? 0 : now_page;
	var page_view = $("#select_page_view option:selected").val();
	
	var m_date1 = conv_request_str($("#d1").val());
	var m_date2 = conv_request_str($("#d2").val());
	var s_date1 = conv_request_str($("#d3").val());
	var s_date2 = conv_request_str($("#d4").val());
	var n_date1 = conv_request_str($("#d5").val());
	var n_date2 = conv_request_str($("#d6").val());

	var sc1 = ($("input[name=sc1]:checked").val() != undefined) ? 1 : "";
	var nc1 = ($("input[name=nc1]:checked").val() != undefined) ? 1 : "";
	delete_return_mode = ($("input[name=delete_return]:checked").val() != undefined) ? 1 : "";
	display_outsource = ($("input[name=display_outsource]:checked").val() != undefined) ? 1 : "";

	var q1 = conv_request_str($("#q1").val());
	var q2 = conv_request_str($("#q2").val());
	var q3 = conv_request_str($("#q3").val());
	var q4 = conv_request_str($("#q4").val());
	
	order = (now_order == undefined) ? "" : now_order;
	mode  = (mode      == undefined) ? "" : mode;
	
	if(mode == ""){
		$.ajax({
			type: "GET",
			data: {q:q, q1:q1, q2:q2, q3:q3, q4:q4, cc1:cc1, page:page, page_view:page_view, m_date1:m_date1, m_date2:m_date2, s_date1:s_date1, s_date2:s_date2, n_date1:n_date1, n_date2:n_date2, sc1:sc1, nc1:nc1, order:order, dr1:delete_return_mode, mode:mode},
			cache: false,
			url: "./php/list.php",
			success: handleSuccess,
			error: handleError,
			complete: handleComplete
		});
	}else{
		window.open("./php/list.php?mode="+mode+"&q="+q+"&q1="+q1+"&q2="+q2+"&q3="+q3+"&q4="+q4+"&cc1="+cc1+"&page="+page+"&page_view="+page_view+"&m_date1="+m_date1+"&m_date2="+m_date2+"&s_date1="+s_date1+"&s_date2="+s_date2+"&n_date1="+n_date1+"&n_date2="+n_date2+"&sc1="+sc1+"&nc1="+nc1+"&order="+order+"&dr1="+delete_return_mode, "_blank");
	}

}

function make_str_page(s_count, s_page, s_page_view){

	//console.log(s_count + " p=" + s_page + " pv=" + s_page_view);

	var count = str2num(s_count);
	var page = str2num(s_page);
	var page_view = str2num(s_page_view);

	//console.log(count + " p=" + page + " pv=" + page_view);
	
	var tsv_link = "";
	var page_max = 0;
	if(count != 0){
		page_max = Math.ceil(count / page_view);
		tsv_link = ' &nbsp;&nbsp;<a href="javascript:void(0);" id="get_tsv">リスト保存</a>'
				+ '&nbsp;&nbsp;<a href="javascript:void(0);" id="get_tsv_s">請求合計</a>'
				;
		if(current_perm_outsource == 1){
			tsv_link += '&nbsp;&nbsp;<a href="javascript:void(0);" id="get_tsv_os">外注明細</a>';
		}
	}
	//console.log(" page_max=" + page_max);
	
	if(page_max <= 1){
		$("#list_result_max").html(count + " 件" + tsv_link);
		return '';
	}
	
	var str_page = "";
	
	var disp = 0;
	var disp_page = page;
	var disp_min = 0;
	var disp_max = 0;
	var min = 0;
	var max = 10;
	
	if( page_max > 10 ){
		min = disp_page - 4;
		max = disp_page + 4;
		
		disp_min = 1;
		disp_max = 1;

		if(min < 1){
			max = max - (min);
			disp_min = 0;
		}
		if(max >= page_max - 1){
			min = min - (max - page_max) - 1;
			disp_max = 0;
		}

		//echo "max:$max min:$min";
	}
	
	//console.log(" max=" + max + " min=" + min + " disp_max=" + disp_max + " disp_min=" + disp_min);
	
	for(var i = 0; i < page_max; i++){
	
		disp_page = (i+1);
		
		if(i == 0 && disp_min == 1 ) disp = 1;
		if(i == page_max - 1 && disp_max == 1 ) disp = 1;
		
		if( (min <= i && i <= max) || disp == 1){
		
			if(disp == 1 && i == page_max - 1){
				str_page += '...&nbsp;&nbsp;';
			}
			
			if(i == page){
				str_page += '<span class="link4_on">' + (i+1) + '</span>';
			}else{
				str_page += '<span class="link4" id="p' + i + '" onclick="">' + (i+1) + '</span>';
			}
			
			if(disp == 1 && i==0){
				str_page += '...&nbsp;&nbsp;';
			}
		}
		disp = 0;
	}
	
	var str_page2 = "";
	if( page != 0 ){
		str_page2 += '<span class="link4" id="p' + (page-1) + '" onclick="">前へ</span>';
	}else{
		str_page2 += '<span class="link4_off">前へ</span>';
	}
	
	if( page + 1 < page_max ){
		str_page2 += '<span class="link4" id="p' + (page+1) + '" onclick="">次へ</span>';
	}else{
		str_page2 += '<span class="link4_off">次へ</span>';
	}

	$("#list_result_max").html(count + " 件 (" + (page+1) + "/" + page_max + ") " + tsv_link);//+ "(" + (page+1) + "/" + page_max + ") "

	return str_page + " " + str_page2;

}