<?php
include "_config.php";
include "_setting.php";

mb_internal_encoding("utf-8");

$time_start = getmicrotime();

//IE非対応
if( browser_check() == "IE"){
	header('Content-Type: text/html; charset=utf-8');
	die("インターネットエクスプローラーには対応していません。");
}

//セッション使用
session_cache_expire(60 * 24);
session_start();

$current_uid = (!empty($_SESSION["uid"])) ? $_SESSION["uid"] : 0;
$current_perm = (!empty($_SESSION["perm"])) ? $_SESSION["perm"] : 0;
$current_perm_outsource = 0;
$active_company = (!empty($_SESSION["active_company"])) ? $_SESSION["active_company"] : "";

if($current_uid == 0){
	$ret = auto_login();
	if($ret == 1){
		$current_uid = (!empty($_SESSION["uid"])) ? $_SESSION["uid"] : 0;
		$current_perm = (!empty($_SESSION["perm"])) ? $_SESSION["perm"] : 0;
		$active_company = (!empty($_SESSION["active_company"])) ? $_SESSION["active_company"] : "";
	}
}

if($current_perm > 10){
	$current_perm = $current_perm - 10;
	$current_perm_outsource = 1;
}

$APP_SAMPLE = 1;
if(LICENSE_KEY != ""){
	//ライセンスキーチェック
	if(license_key_check() == 1){
		$APP_SAMPLE = 0;
	}
}

function auto_login(){
	$c_select_uid = (isset($_COOKIE['c_select_user'])) ? conv_req($_COOKIE['c_select_user']) : "";
	$c_ph = (isset($_COOKIE['c_ph'])) ? conv_req($_COOKIE['c_ph']) : "";
	
	$cnt = 0;
	if($c_ph != ""){
		$con = con();
		$sql = "SELECT * FROM `users` WHERE uid = '$c_select_uid' and pass ='$c_ph'";
		$ret = exe_sql($con, $sql);
		if( $arr = db_fetch_array($ret) ){
			$_SESSION["uid"] = $arr["uid"];
			$_SESSION["perm"] = $arr["perm"];
			$_SESSION["active_company"] = $arr["active_company"];
			$cnt = 1;
		}
	}
	return $cnt;
}

//時間記録用関数
function getmicrotime()
{
	list( $usec, $sec ) = explode( " ", microtime() );
	return ((float)$sec + (float)$usec); 
}

//DB接続
function con() {
	$DB = DB_NAME; //データベース名
	
	@$con = mysql_connect(DB_HOST, DB_USER_NAME, DB_USER_PASS);
	
	//接続エラーの場合
	if(!$con){
		echo 'DB接続エラー！'; 
		exit;
	}
	mysql_select_db($DB);
	
	if(DB_MYSQL_SET_CHARSET == 1){
		mysql_set_charset('utf8');
	}
	
	return $con;
}

//SQLの実行
function exe_sql($con, $sql) {
	$ret = mysql_query($sql);
	//SQL実行エラーの場合
	if (!$ret) {
		echo " error " . $sql . $ret;
		exit;
	}
	return $ret;
}

//db_fetch_array
function db_fetch_array($ret){
	return mysql_fetch_array($ret);
}

//mysql_insert_id
function db_get_insert_id(){
	return mysql_insert_id();
}

function javascript_echo($str){
	echo '<script type="text/javascript">
<!--
//console.log("php echo");
//console.log("' .$str . '");
//-->
</script>';
}

function conv_req($v){
	return htmlspecialchars($v, ENT_QUOTES);
}

function conv_req_json($v){
	//ダブルクォートを変換しない
	$v = str_replace("'", "&#039;", $v);
	return $v;
}

function replace_tab_ret($v){
	$v = str_replace("\n", "", $v);
	$v = str_replace("\t", "", $v);
	
	return $v;
}

function replace_json_txt($v){
	$v = str_replace("&#039;", "’", $v);
	$v = str_replace("&quot;", '”', $v);
	$v = str_replace("&yen;", "\\", $v);
	$v = str_replace("&lt;", "<", $v);
	$v = str_replace("&gt;", ">", $v);
	return $v;
}

function auth_page($current_uid){
	//ログインしていない
	if($current_uid == 0)
	{
		header("Location: login.php");
		exit();
	}
}

function txt_h($txt, $pdf, $cw, $font_h){
	//$match_number = preg_match_all("/\n/", $txt, $result);
	
	if($txt == ""){
		return 0;
	}
	
	$w = 0;
	$arr = preg_split("/\n/", $txt);
	foreach ($arr as $v) {
		//改行で分割後、はみ出るラインの数値を調べる
		if($v == ""){
			$w += 1;
		}else{
			$w += ceil($pdf->GetStringWidth($v) / $cw);
		}
	}
	
	$h = $font_h * $w;

	return $h;
}

function txt_en($txt){
	return ($txt != "") ? (number_format($txt) . "円") : "";
}

function txt_en_no($txt){
	return ($txt != "") ? (number_format($txt) . "") : "";
}

function txt_default($txt, $def){
	return ($txt != "") ? $txt : $def;
}

function en2num($v){
	$v = str_replace(",", "", $v);
	return $v;
}

function fs_h($size){
	$h = 4.6;
	switch($size){
		case "12": $h = 5.2; break;
		case "8":  $h = 3.6; break;
	}
	
	return $h;
}

function str_fit_fs($txt, $pdf, $cw){

/*
	$fs = "9";
	$w = $pdf->GetStringWidth($txt);
	if($w > ($cw+3)){
		$fs = "6";
	}else if($w > $cw + 0.5){
		$fs = "7";
	}elseif($w > $cw - 2){
		$fs = "8";
	}
	return $fs;
	*/
	
	
	return search_str_fit_fs($txt, $pdf, $cw - 2, "", 9);
}

function search_str_fit_fs($txt, $pdf, $cw, $font_name, $start_size){
	if($start_size < 4)
		return "4";
		
	$fs = "". $start_size;
	$pdf->SetFont($font_name, '', $fs);
	$w = $pdf->GetStringWidth($txt);
	if($w >= $cw){
		$fs = search_str_fit_fs($txt, $pdf, $cw, $font_name, $start_size - 1);
	}
	return $fs;
}

function div_list_tani(){
	$s = "";
	$arr = preg_split("/\n/", ST_TANI);
	foreach ($arr as $v) {
		$s .= "<div>" . $v . "</div>";
	}
	return $s;
}

function zeiritu_per($m_date, $created, $bunsuu = 1){
	global $arr_shouhizei;

	$d = ($m_date != "") ? $m_date : "";
	$d = ($d == "") ? $created : $d;
	
	$ritu = 0;
	foreach($arr_shouhizei as $k => $v) {
		if( $d >= $k){
			$ritu = $v;
		}
	}
	
	if($ritu != 0 && $bunsuu == 1){
		$ritu = $ritu / 100;
	}
	
	return $ritu;
}

function browser_check(){
	$agent = $_SERVER['HTTP_USER_AGENT'];

	if(strstr($agent,"MSIE")){
		return "IE";
	}
	return "";
}

function license_key_check(){
	if( sha1(LICENSE_KEY) == "03db47b82d2170452467f30c10032c0d0bdc8118"){
		return 1;
	}
	return 0;
}