<?php
require_once('_init.php');
require_once('../lib/json/JSON.php');

header('Content-Type: text/html; charset=utf-8');

//ログインしていない場合、ng
if($current_uid == 0){
	echo '{"status":"ng"}';
	exit();
}
if (isset($_REQUEST['copy_id'])) {
	echo doc_copy();
}else if (isset($_REQUEST['delete_return_doc_id'])) {
	//削除復帰
	echo doc_delete_return();
}else if (isset($_REQUEST['delete_doc_id'])) {
	//削除
	echo doc_delete();
}else if (isset($_REQUEST['preview_doc_data'])) {
	//プレビュー
	echo doc_post_preview();
}else{
	echo doc_post();
}

function doc_copy() {
	global $time_start,$current_uid,$current_perm;
	
	$id = (isset($_REQUEST['copy_id'])) ? conv_req_json($_REQUEST['copy_id']) : "";
	$yuukoukigen = (isset($_REQUEST['yuukoukigen'])) ? conv_req_json($_REQUEST['yuukoukigen']) : "";
	
	if($id == ""){
		return '{"status":"no_data"}';
	}
	
	$con = con();
	$sql = "select txt FROM `doc` WHERE id = '" . $id . "'";
	$ret = exe_sql($con, $sql);
	$doc_data = "";
	if( $arr = db_fetch_array($ret) ){
		$doc_data =  $arr["txt"];
	}
	
	$json = new Services_JSON();
	$decoded = $json->decode($doc_data);
	
	if(is_null($decoded)){
		return '{"status":"json_null"}';
	}
	
	$src_id = $decoded->id;
	$src_no = $decoded->no;
	$src_m_date = $decoded->m_date;
	
	$sql = "insert into `doc` set txt = '' , created = NOW()";
	$ret = exe_sql($con, $sql);
	$id = mysql_insert_id();
	
	$doc_data = str_replace('"id":"' . $src_id . '"', '"id":"' . $id . '"', $doc_data);
	$no = 100000 + $id;
	$doc_data = str_replace('"no":"' . $src_no . '"', '"no":"' . $no . '"', $doc_data);
	$m_date = date("Y/m/d");
	$doc_data = str_replace('"m_date":"' . $src_m_date . '"', '"m_date":"' . $m_date . '"', $doc_data);
	$doc_data = str_replace('"s_date":"' . $decoded->s_date . '"', '"s_date":""', $doc_data);
	$doc_data = str_replace('"n_date":"' . $decoded->n_date . '"', '"n_date":""', $doc_data);
	$doc_data = str_replace('"create_uid":"' . $decoded->create_uid . '"', '"create_uid":"' . $current_uid . '"', $doc_data);
	$doc_data = str_replace('"update_uid":"' . $decoded->update_uid . '"', '"update_uid":"' . $current_uid . '"', $doc_data);
	$doc_data = str_replace('"created":"' . $decoded->created . '"', '"created":"' . $m_date . '"', $doc_data);
	$doc_data = str_replace('"updated":"' . $decoded->updated . '"', '"updated":"' . $m_date . '"', $doc_data);
	$doc_data = str_replace('"yuukoukigen":"' . $decoded->yuukoukigen . '"', '"yuukoukigen":"' . $yuukoukigen . '"', $doc_data);

	//$doc_data = str_replace('"memo":"' . $decoded->memo . '"', '"memo":"' . $m_date . '"', $doc_data);
	if(ST_OS_COPY == 0){
		$patterns = array();
		$patterns[] = '/"os_seikyu_tyaku":"1"/';
		$patterns[] = '/"os_seikyu_date":"[0-9\/]+"/';
		$patterns[] = '/"os_shiharai_date":"[0-9\/]+"/';
		
		$replacements = array();
		$replacements[] = '"os_seikyu_tyaku":""';
		$replacements[] = '"os_seikyu_date":""';
		$replacements[] = '"os_shiharai_date":""';
		$doc_data = preg_replace($patterns, $replacements, $doc_data);
	}
	
	$sql = "update `doc` set txt = '" . $doc_data . "' "
		. ", no = '" . $no . "' "
		. ", subject = '" . $decoded->subject . "' "
		. ", company_id = '" . $decoded->company_id . "' "
		. ", company = '" . $decoded->company . "' "
		. ", sougoukei = '" . $decoded->sougoukei . "' "
		. ", create_uid = '" . $current_uid . "' "
		. ", m_date = '" . $m_date . "' "
		. ", s_date = '' "
		. ", n_date = '' "
		. ", updated = NOW() WHERE id = " . $id . " ";
		
	$ret = exe_sql($con, $sql);

	$time_end = getmicrotime();
	$time = round($time_end - $time_start, 4);
	
	$buf = '{
		"status":"ok",
		"id":"' . $id . '",
		"no":"' . $no . '",
		"ret":"' . $ret . '",
		"date":"' . date("Y/m/d H:i:s") . '",
		"time":"' . $time . '"}';

	return replace_tab_ret($buf);
}

function doc_delete_return() {
	global $time_start,$current_uid,$current_perm;
	
	$id = (isset($_REQUEST['delete_return_doc_id'])) ? conv_req_json($_REQUEST['delete_return_doc_id']) : "";
	
	if($id == ""){
		return '{"status":"no_data"}';
	}

	$con = con();
	
	$sql = "update `doc` set deleted = null WHERE id = '" . $id . "'";
	$ret = exe_sql($con, $sql);
	
	$buf = '{
		"status":"delete_ok",
		"id":"' . $id . '",
		"ret":"' . $ret . '",
		"date":"' . date("Y/m/d H:i:s") . '"}';
		
	return replace_tab_ret($buf);
}

function doc_delete() {
	global $time_start,$current_uid,$current_perm;
	
	$id = (isset($_REQUEST['delete_doc_id'])) ? conv_req_json($_REQUEST['delete_doc_id']) : "";
	
	if($id == ""){
		return '{"status":"no_data"}';
	}

	$con = con();
	$cnt = 1;
	//管理者以外は自分のdocしか削除できない
	if($current_perm != 4){
		$cnt = 0;
		$sql = "select COUNT(*) as cnt FROM `doc` WHERE id = '" . $id . "' and create_uid = '" . $current_uid . "'";
		$ret = exe_sql($con, $sql);
		if( $arr = db_fetch_array($ret) ){
			$cnt =  $arr["cnt"];
		}
	}
	
	if($cnt == 0){
		return '{"status":"permission denied"}';
	}
	
	$sql = "update `doc` set deleted = NOW() WHERE id = '" . $id . "'";
	$ret = exe_sql($con, $sql);
	
	$buf = '{
		"status":"delete_ok",
		"id":"' . $id . '",
		"ret":"' . $ret . '",
		"date":"' . date("Y/m/d H:i:s") . '"}';
		
	return replace_tab_ret($buf);
}

//docデータを保存する
function doc_post() {
	global $time_start,$current_uid,$current_perm;
	
	$doc_data = (isset($_REQUEST['doc_data'])) ? conv_req_json($_REQUEST['doc_data']) : "";
	
	$str_num = strlen($doc_data);
	if($str_num > 60000){
		return '{"status":"str over ' . $str_num . '"}';
	}

	$json = new Services_JSON();
	$decoded = $json->decode($doc_data);
	
	if(is_null($decoded)){
		return '{"status":"json_null"}';
	}
	$ok = 0;
	if($current_perm == 1 || $current_perm == 2){
		if($decoded->create_uid == $current_uid){
			$ok = 1;
		}
	}else if($current_perm == 3 || $current_perm == 4){
		$ok = 1;
	}
	
	if($ok == 0){
		return '{"status":"permission denied"}';
	}
	
	$id = $decoded->id;
	$no = $decoded->no;

	$con = con();
	
	if($id == "0"){
		$sql = "insert into `doc` set txt = '' , created = NOW()";
		$ret = exe_sql($con, $sql);
		$id = mysql_insert_id();
		
		$doc_data = str_replace('"id":"0"', '"id":"' . $id . '"', $doc_data);
		
		if($no == ""){
			$no = 100000 + $id;
			$doc_data = str_replace('"no":""', '"no":"' . $no . '"', $doc_data);
		}
	}
	
	$sql = "update `doc` set txt = '" . $doc_data . "' "
		. ", no = '" . $no . "' "
		. ", subject = '" . $decoded->subject . "' "
		. ", company_id = '" . $decoded->company_id . "' "
		. ", company = '" . $decoded->company . "' "
		. ", sougoukei = '" . $decoded->sougoukei . "' "
		. ", create_uid = '" . $decoded->create_uid . "' "
		. ", m_date = '" . $decoded->m_date . "' "
		. ", s_date = '" . $decoded->s_date . "' "
		. ", n_date = '" . $decoded->n_date . "' "
		. ", updated = NOW() WHERE id = " . $id . " ";
		
	$ret = exe_sql($con, $sql);
	
	$time_end = getmicrotime();
	$time = round($time_end - $time_start, 4);

	$buf = '{
		"status":"ok",
		"id":"' . $id . '",
		"no":"' . $no . '",
		"ret":"' . $ret . '",
		"date":"' . date("Y/m/d H:i:s") . '",
		"time":"' . $time . '"}';

	return replace_tab_ret($buf);
}

//docデータをプレビュー用テーブルに格納する
function doc_post_preview() {
	global $time_start,$current_uid,$current_perm;
	
	$doc_data = (isset($_REQUEST['preview_doc_data'])) ? conv_req_json($_REQUEST['preview_doc_data']) : "";

	$str_num = strlen($doc_data);
	if($str_num > 60000){
		return '{"status":"str over ' . $str_num . '"}';
	}

	$json = new Services_JSON();
	$decoded = $json->decode($doc_data);
	
	if(is_null($decoded)){
		return '{"status":"json_null"}';
	}
	$ok = 0;
	if($current_perm == 1 || $current_perm == 2){
		if($decoded->create_uid == $current_uid){
			$ok = 1;
		}
	}else if($current_perm == 3 || $current_perm == 4){
		$ok = 1;
	}
	
	if($ok == 0){
		return '{"status":"permission denied"}';
	}
	
	$id = $decoded->id;
	$no = $decoded->no;

	$con = con();
	if($id == "0"){
		$doc_data = str_replace('"id":"0"', '"id":""', $doc_data);
		if($no == ""){
			$doc_data = str_replace('"no":""', '"no":""', $doc_data);
		}
	}
	
	$cnt = 0;
	$sql = "select txt FROM `doc_preview` WHERE uid = '" . $current_uid . "'";
	$ret = exe_sql($con, $sql);
	if( $arr = db_fetch_array($ret) ){
		$cnt = 1;
	}
	if($cnt == 0){
		$sql = "insert into `doc_preview` set txt = '', uid ='" . $current_uid . "'";
		$ret = exe_sql($con, $sql);
	}
	
	$sql = "update `doc_preview` set txt = '" . $doc_data . "' "
		. ", updated = NOW() WHERE uid = " . $current_uid . " ";
		
	$ret = exe_sql($con, $sql);
	
	$time_end = getmicrotime();
	$time = round($time_end - $time_start, 4);

	$buf = '{
		"status":"preview_ok",
		"id":"' . $id . '",
		"no":"' . $no . '",
		"ret":"' . $ret . '",
		"date":"' . date("Y/m/d H:i:s") . '",
		"time":"' . $time . '"}';

	return replace_tab_ret($buf);
}


